Linux中一些最优秀的浏览器
================================================================================

> 本文讨论Linux桌面一些最优秀浏览器的优缺点，讨论对象包括Firefox，Chrome和其它浏览器。

选择一款最棒的Linux浏览器来满足你所需仅费些许功夫：Linux桌面网页浏览器和在其它流行的桌面上一样已经发展了多年，随着它们的发展，其优点和缺点都被慢慢发现。优缺点涉及从新功能到被破坏的扩展程序等各方面。本文中，我将在迷茫之中充当你的向导来帮助你发现适合你的最棒的Linux浏览器。

### **Firefox** ###

– [Firefox][1]成为一款Linux用户友好的浏览器已经很长时间了。 它在32位和64位的Linux上都可用，同时Firefox提供丰富的扩展程序可供选择。它是一款装载快速，易于使用的浏览器，在Linux用户中很流行。

**优点**: 如果Firefox没有被预装在某个Linux发行版的话，它也能很方便地从大多数常见Linux软件仓库中安装。上千种供选择的扩展程序可以让你的firefox极富个性化。几乎能够合适地渲染所有的   网页（包括政府网站和银行网站）。

另外很重要的一点：Firefox尊重你的隐私。Firefox有一项直白的隐私政策，和谷歌可不是一回事。因此，大多数用户能放心地让Firefox查看他们的日常浏览记录，然而，其他的某些浏览器可能会对用户的隐私有一些受利益驱使的兴趣。Firefox也非常适用于web开发者，这得感谢內嵌入Firefox的元素检查工具。

**缺点**: 不久之前，我发现Firefox的频繁更新会破坏我的扩展程序。这就意味着每次在我更新Firefox前得检查我最喜欢的一些扩展程序是否与新的Firefox兼容。

老实说，这让我重新考虑该把谁作为我的默认上网浏览器。为了做到合理，Mozilla在每次更新Firefox时都会向扩展程序开发者发出邮件通知。在这些邮件中，开发者会被告知有哪些改动以及怎样做来使一切运动流畅。

### **Chrome/Chromium** ###

– Google升级它的浏览器为[Chrome][2]，然而自从[Chromium][3]被作为Chrome的开发基础后我就倾向于把Chromium和Chrome视为一类。不像Firefox，Chrome/Chromium进入Linux比较晚，直到Chrome被大多数人意识到是最快的浏览器后Linux使用者才觉得它值得一试。

**优点**: 即使是在今天，Chrome也是超快的。虽然最近很多浏览器的升级使它有了竞争对手，但在速度方面Chrome/Chrommium还从未输过。Chrome/Chromium支持的扩展程序数量丰富甚至质量更好，而且升级Chrome/Chromium对它的扩展程序并没有影响。这就意味着，不像Firefox，我不需要去处理扩展程序的不兼容性。和Firefox一样，Chrome/Chromium也有内嵌入浏览器的元素检查工具。和其它浏览器一起试验同步功能后，只有Chrome/Chromium 证明了它是安全可靠的。在我看来，Chrome/Chromium的同步功能毫无疑问是众多浏览器中最好的。

**缺点**: Chrome/Chromium有时候不能正确地渲染网页。有这样一些很少见的情形，一些网站比如Ebay不能被正确地渲染。举个例子，假如我在新建一个Ebay提交，有时候会缺少某些网页按钮。我还发现有时候当一个打开的标签页正在执行大型脚本时Chrome/Chromium会完全卡住。比如Google Plus 和 Facebook这样的网站就是最常见的例子。

### **Qupzilla** ###

– 说到轻量级浏览器时，我认为[Qupzilla][4]是最棒的。基于webkit，它能在很小的资源占用下提供相当好的网页渲染支持。 

**优点**: 如果你需要一款现代化的能正确渲染网页，并大体上能提供可靠的网络浏览体验的浏览器，那么对于轻量的桌面环境来说，Qupzilla是你的理想选择。它相当轻巧，能够在老计算机上非常稳定地运行。Qupzilla预装了Access keys 和 [GreaseMonkey][5]插件(但没有被启用）。

同Firefox和Chrome/Chromium一样，Qupzilla也提供元素检查工具。最后，由于Qupzilla预装了[Adblock][6]插件，这就无疑使得它成为我心中的轻量级浏览器冠军。

**缺点**: HTML5 “视频”标签在Qupzilla上好像无法可靠地运行。而且，为了观看Flash视频，你得进入首选项并且在Webkit插件区域的扩展程序中钩去Click to Flash选项, 在HTML5 “视频”标签还是完全损坏的情况下，这个未经深思熟虑的设计实质上使得Flash无法直接播放。

### **Midori** ### 

– 我喜欢把[Midori][7]叫做轻量级的Chrome。和Goolge的浏览器一样，Midori通过它的“汉堡式”菜单给用户提供极简风格的体验，汉堡式菜单相当棒因为它占用的浏览器空间更少。在没有其它浏览器信条的情况下你不仅能获得稳定的上网体验，而且Midori也是相当快速。

**优点**: Midori快速，轻量，接近于开箱即用。它能够正确地渲染网页而且能够很好地浏览像YOUTUBE一样的网站。我认为Midori最棒的地方就是内嵌入浏览器的浏览器设置功能和网页应用快捷方式。举个例子，你可以很简单地在你的桌面上建立一个Gmail或Facebook的快捷方式。你也可以创建另外的浏览器设置，而不用新建立一个Linux用户帐号。

**缺点**: 虽然也提到过Midori的用户扩展程序，但可用的扩展程序并不出色。另外，用户得费些许功夫来习惯Midora的布局。 比如它给浏览过的网站还弄个垃圾桶-有没有搞错？

### **Opera** ###

– [Opera][8]长时间是被误解的浏览器之一。很早以前，Opera浏览器在所有Linux社区的反对下提供了Linux平台下的支持。不过后来还好，Opera成为了服务Linux用户的一个快速，和谐的浏览器，它也有很丰富的设置选项。

**优点**: 快速，用户自定性选项丰富。你可以在浏览器中发送和接收从RSS 订阅到电子邮件等等，Opera 可以让你很方便得获取炫丽的浏览器主题。Opera提供一个丰富的拓展仓库来供你选择扩展程序。我们不仅能从Opera阅读RSS 订阅和电子邮件，我们还能使用Opera的扩展套件功来能重温使用Mozilla Suite的日子。也许最重要的是，Opera Turbo -能极大提高你的上网速度，它通过对浏览内容的选择性压缩来给用户提供一个更快的上网体验。

**缺点**: 首次运行配置很多服务会很麻烦。Opera Turbo对你的上网体验有些许影响——比如YouTube，可能无法显示视频的缩略图。Opera提供如此之多的设置选项可能令业余使用者手足无措。。最后一点，Opera是闭源软件，作为桌面浏览器它不是很好地被认可。大多数爱好者仅把它当作一款手机浏览器。

### 哪款浏览器适合你？ ###

有这么多棒极了的选择，很难说哪个适合你。对我来说，由于我每天工作需的一些特定扩展程序，所以我很依赖于Firefox和Chromium。对于一些低端机子或是上网本，我的建议是先试试Midori，如果不合适的话，再回头看看Qupzilla。

那么Linux上的其它浏览器怎么样呢？比如[Epiphany][9]或是[Konqueror][10]？像这样的浏览器也很棒，但是我对我上面所提到的浏览器印象深刻。上面所列举的都是我经常使用的浏览器，我觉得它们有些地方很出色并且我很开心地向朋友和家人都推荐它们。

介绍完了以上几款，请您在下面的评论区域中和我们分享您喜爱的浏览器，这样其他人也许可以从您喜爱的浏览方式中得到启发。
--------------------------------------------------------------------------------

via: http://www.datamation.com/open-source/best-linux-browsers-1.html

原文作者：[Matt Hartley][a]

译者：[Love-xuan](https://github.com/译者ID) 校对：[Caroline](https://github.com/carolinewuyan)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://www.datamation.com/author/Matt-Hartley-3080.html
[1]:https://www.mozilla.org/en-US/firefox/new/
[2]:https://www.google.com/intl/en_us/chrome/browser/
[3]:http://www.chromium.org/
[4]:http://www.qupzilla.com/
[5]:https://addons.mozilla.org/en-US/firefox/addon/greasemonkey/
[6]:https://adblockplus.org/
[7]:http://midori-browser.org/
[8]:http://www.opera.com/
[9]:https://wiki.gnome.org/Apps/Web
[10]:http://www.konqueror.org/
