7个Linux桌面需要改进之处
======================================

在过去的15年内，Linux桌面从一个还算凑合的边缘化解决方案集合发展为一个独特的创新来源和选择之一。它的标准特点中有许多是要么不适用于Windows系统，要么就只适合作为一个专有的扩展软件。因此，使用Linux愈发变得不仅是一个原则问题，也是一种偏好。

然而，尽管Linux桌面不停在进步，但是仍然存在差距。一些特点正在丢失，而一些已经丢失了，还有一些令人惊喜的附加功能可以轻易地提升桌面体验，而不用挑战用户的容忍度。

比如说，以下是7个有利于Linux桌面发展的改善建议：

### 7. 简单的Email加密技术

如今，各种Email阅读器从Alpine到Thunderbird再到Kmail，都带有Email加密技术。然而，关于它们的文档手册通常是不存在或者非常简陋。

但是，即使你了解加密理论，但是使用起来仍然很困难。这些控件通常分散在配置菜单和选项卡中，需要为所有你需要和想要的设置进行一次彻底的搜索才行。如果你未能进行适当的加密设置，通常你找不到任何有用的反馈。

易用性方面最接近的是 [Enigmail][1] ，它是一个带有面向初学者的设置向导的Thunderbird扩展。但是你一定要知道怎么用Enigmail，新的加密设置菜单埋藏在撰写窗口里一级菜单下，和其他选项混在一起，这让日常用户很迷惑。

不管是那种桌面环境，如你所知的，你应该对邮件加密，今天对安全和隐私的媒体不断报道让你知道加密有多重要。

### 6. 虚拟工作空间缩略图

不需要额外的显示器，虚拟工作空间提供了更多桌面空间。然而，尽管它们很实用，但是虚拟工作空间的管理并没有在过去十年发生改变。在大多数桌面上，你能通过每个工作空间上的pager程序（一个提供很少指示除了它的名字和数字的简单矩形框）来控制它们 -- 或者，在Ubuntu的Unity 环境中，可以指出哪个工作空间是当前激活的。

确实，GNOME和Cinnamon能提供出不错的视图，但是它们的实用性受限于它们需要显示屏大小的事实。而 KDE 写出内容列表则和主流的图形桌面不太协调。

一个比较不错的解决方案应该是鼠标悬停在足够大的缩略图上来获取正常的视图，这样就精确地查看每个工作空间上的东西了。

### 5. 一个合用的菜单

现代型桌面很久之前就已经舍弃了级联子菜单铺满整个桌面的经典型菜单了。如今，一般的电脑都有太多的应用程序以至于不能适应这样的模式。

糟糕的是，没有什么主要的替代品能与经典型菜单一样方便。把菜单根植于一个单一的窗口，其效果是不理想的，因为你要么必须截掉子菜单要么就用鼠标不断地调整窗口大小。

但是全屏幕菜单的产品还要差，这意味着你甚至要在开始工作之前就调整屏幕，并且哪个搜索框其实只在你已经知道什么应用程序可用的情况下才有用 -- 这种情况下你还不如直接用命令行。

坦白地说，我不知道拿什么来解决这个问题，OS X下的spinner racks吗？我可以肯定地说，所有现代型菜单产品在桌面上呈现出一个个精心构造的图标似乎更是一个合理的选择。

### 4. 一个专业的、实惠的视频编辑器

多年来，Linux已经慢慢地填充了软件生产力上的空白。然而即便如此，它仍然缺少价格合理的视频编辑软件。

问题不在于没有这样的自由软件。[Maya][2] 是动画产业的标准之一，但是问题在于这样的软件的售价达数千美金。

另一边，比如Pitivi或者是Blender这样的免费软件, 它们的功能性 -- 尽管它们的开发者足够的努力 -- 只能保证基本功能。虽然取得了进步，但还是和用户们所期望的相去甚远。

尽管我听说一些非主流的厂家使用的是原生态Linux视频编辑器，原因通常是因为他们抱怨其它编辑器不好，但其余的人更愿意减少麻烦，从而在其它操作系统上对视频进行编辑。

### 3. 一个文档处理器
	
有一个极端是，那些需要进行文字处理的用户，Google Docs就让他们满意了；而另一个极端是对于那些排版设计的专家来说，Scribus是唯一比较可行的应用。

这两种极端之间还有一层，是那些比如那些写作很长的文本的文件的出版商和作家。这类用户有些是由基于Windows的 [Adobe FrameMaker][3] 来服务, 有些则由基于Linux的LibreOffice Writer来服务。

不幸的是，这些用户显然不会优先考虑LibreOffice，Calligra Words， AbiWord或者是任何其它的办公套件。应该提供给用户的办公套件的特色功能包括：

- 为每个文件建立引用书目数据库。
- 表格的样式能和段落与字符保持一致。
- 除了页眉和页脚，带有持续性内容的页面样式，在每次使用样式时都一样。
- 交叉引用存储格式，以便不需要每次都手动创建。

无论是LibreOffice还是其它同类应用，提供这些特色功能与它们是否可用是并不相干的。但是没有它们，Linux桌面对于一群潜在的用户来说就是个不完善的东西。


### 2.彩色标题栏

浏览器的扩展软件向我们展示了彩色编码标签对于工作空间的作用。打开了八九个标签后，它的标题栏就看不全了，所以颜色通常是最快区分标签关系的方法。

同样的系统也能用到桌面上。更好的是，彩色编码也许可以按会话保存，允许用户同时打开某个任务所需的所有应用。到目前为止，我知道没有任何一个桌面有这个特点。

### 1. 图标栏

多年以来，Stardock公司一直销售着一个名叫 [Fences][4] 的扩展软件,它用来分类和组织桌面上的图标，你能用它给每个组取名并且可以把每个图标都放在一起。另外，你可以指定不同的文件类型自动加入到一个组里，并且按个人需要来隐藏和整理。

换句话说，fences让用户整天在桌面上干的事情自动有序地分组排列。然而，除了一两个小功能与KDE的文件夹视图类似之外，fences的功能仍然没有出现在Linux桌面上。这也许是因为开发人员把注意力放到移动设备上作为灵感来源，而使用fences无疑是传统工作站桌面的一大特征。

### 我个人的列表

我做了这种列表之后，让我震惊的是这些不多的改进都是普适性的，其中几项改进将会吸引大量特定的用户，只有一个是来自专有软件的移植，其中一个至少是修饰性的而不是功能性的。

这一观察表明，对于普通用户来说，Linux能添加的功能已经所剩无几了。作为一个通用的桌面，Linux从几年前到现在都很多元化，到今天，用户能从超过半打的主流桌面中选择出一个来使用。

当然这不意味着，一些专家就不会有其它意见。另外，没有人会关心不断变化的需求会不会使改进令人满意。但是它意味着这份充斥着改进建议的名单上的许多项目将会高度个人化。

所有这些都是为了抛砖引玉：你认为还有什么其它的对桌面有益的建议吗？

--------------------------------------------------------------------------------

via: http://www.datamation.com/open-source/7-improvements-the-linux-desktop-needs-1.html

译者：[ZTinoZ](https://github.com/ZTinoZ) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:https://addons.mozilla.org/en-US/thunderbird/addon/enigmail/
[2]:http://en.wikipedia.org/wiki/Autodesk_Maya
[3]:http://www.adobe.com/products/framemaker.html
[4]:http://www.stardock.com/products/fences/
