2016 年十大顶级开源项目
============================================================

> 在我们今年的年度顶级开源项目列表中，让我们回顾一下作者们提到的几个 2016 年受欢迎的项目，以及社区管理员选出的钟爱项目。

![Top 10 open source projects of 2016](https://opensource.com/sites/default/files/styles/image-full-size/public/images/law/bowling-10-ten-520_cc.png?itok=Jd1FYLWt "Top 10 open source projects of 2016")

图片来自：[George Eastman House][1] 和 [Internet Archive Book Images][2] 。修改自 Opensource.com. CC BY-SA 4.0

我们持续关注每年新出现的、成长、改变和发展的优秀开源项目。挑选 10 个开源项目到我们的年度顶级项目列表中并不太容易，而且，也没有哪个如此短的列表能够包含每一个应该包含在内的项目。

为了挑选 10 个顶级开源项目，我们回顾了作者们 2016 年涉及到的流行的开源项目，同时也从社区管理员收集了一些意见。经过管理员的一番推荐和投票之后，我们的编辑团队选定了最终的列表。

它们就在这儿， 2016 年 10 个顶级开源项目：

### Atom

[Atom][3] 是一个来自 GitHub 的可魔改的（hackable）文本编辑器。Jono Bacon 在今年的早些时候为它的“简单核心”[写了一篇文章][4]，对该开源项目所给用户带来的选择而大加赞赏。

“[Atom][3] 带来了大多数用户想要的主要核心特性和设置，但是缺失了一些用户可能想要的更加高级或独特的特性。……Atom 提供了一个强大的框架，从而允许它的许多部分都可以被改变或扩展。”

如果打算开始使用 Atom， 请先阅读[这篇指南][5]。如果想加入到用户社区，你可以在 [GitHub][6]、[Discuss][7] 和 [Slack][8] 上找到 Atom 。

Atom 是 [MIT][9] 许可的，它的[源代码][10]托管在 GitHub 上。

### Eclipse Che

[Eclipse Che][11] 是下一代在线集成开发环境（IDE）和开发者工作区。Joshua Allen Holm 在 2016 年 11 月为我们[点评][12]了 Eclipse Che，使我们可以一窥项目背后的开发者社区，Eclipse Che 创新性地使用了容器技术，并且开箱即用就支持多种流行语言。

“Eclipse Che 集成了就绪即用（ ready-to-go）的软件环境（stack）覆盖了绝大多数现代流行语言。这包括 C++、Java、Go、PHP、Python、.NET、Node.js、Ruby on Rails 和 Android 开发的软件环境。软件环境仓库（Stack Library ）如果不够的话，甚至还提供了更多的选择，你可以创建一个能够提供特殊环境的定制软件环境。”

你可以通过网上的[托管账户][13]、[本地安装][14]，或者在你常用的[云供应商][15]上测试 Eclipse Che。你也可以在 GitHub 上找到它的[源代码][16]，发布于 [Eclipse 公开许可证][17]之下。

### FreeCAD

[FreeCAD][18] 是用 Python 写的，是一款电脑辅助设计工具（或叫电脑辅助起草工具），可以用它来为实际物体创建设计模型。 Jason Baker 在 [3 款可供选择的 AutoCAD 的开源替代品][19]一文中写到关于 FreeCAD ：

“FreeCAD 可以从各种常见格式中导入和导出  3D 对象，其模块化结构使得它易于通过各种插件扩展基本功能。该程序有许多内置的界面选项，这包括从草稿到渲染器，甚至还有一个机器人仿真能力。”

FreeCAD 是 [LGPL][20] 许可的，它的[源代码][21]托管在 GitHub 上。

### GnuCash

[GnuCash][22] 是一个跨平台的开源桌面应用，它可以用来管理个人和小型商业账户。 Jason Baker 把 GnuCash 列入了我们针对个人金融的 Mint 和 Quicken 的开源替代品的[综述列表][23]中：

GnuCash “具有多项记账的特性，能从多种格式导入数据，处理多重汇率，为你创建预算，打印支票，创建定制计划报告，并且能够直接从网上银行导入和拉取股票行情。”

其发布于 GPL [版本 2 或版本 3 许可证][25]下，你可以在 GitHub 上找到 GnuCash 的[源代码][24]。

一个值得一提的 GnuCash 可选替代品是 [KMyMoney][26]，它也得到了该列表的提名，是另一个在 Linux 上管理财务的好选择。

### Kodi

[Kodi][27] 是一个开源媒体中心应用，之前叫做 XBMC，它能够在多种设备上工作，是一个用来 DIY 播放电影、TV、音乐的机顶盒的工具。 Kodi 高度可定制化，它支持多种皮肤、插件和许多遥控设备（包括它自己定制的 Android  remote 应用）。

尽管今年我们没有深入地报道 Kodi， 但依旧出现在许多关于创建一个家用 Linux [音乐服务器][28]、媒体[管理工具][29]的文章中，还出现在之前的一个关于最喜爱的开源[视频播放器][30]的投票中（如果你在家中使用 Kodi，想要写一些自己的体验，[请让我们知道][31]）。

其发布于 [GPLv2][33] 许可证下，你可以在 GitHub 上找到 Kodi 的[源代码][32]。

### MyCollab

[MyCollab][34] 是一套针对顾客关系管理（CRM）、文档管理和项目管理的工具。社区管理员 Robin Muilwijk 在他的综述 [2016 年 11 个顶级的项目管理工具][35]一文中详细阐述了 MyCollab-Project 的细节：

“MyCollab-Project 包含许多特性，比如甘特图、里程碑、时间跟踪和事件管理。它有 Kanban 板功能，因而支持敏捷开发模式。 MyCollab-Project 有三个不同的版本，其中[社区版][36]是自由且开源的。”

安装 MyCollab 需要 Java 运行环境和 MySQL 环境的支持。请访问 [MyCollab 网站][37]来了解如何对项目做贡献。

MyCollab 是 AGPLv3 许可的，它的[源代码][38]托管在 GitHub 上。

### OpenAPS

[OpenAPS][39] 是社区管理员在 2016 年发现的另一个有趣的项目，我们也深入报道过它。 OpenAPS，即 Open Artificial Pancreas System 项目，是一个致力于提高 1 型糖尿病患者生活质量的开源项目。

该项目包含“[一个专注安全的典范（reference）设计][40]、一个[工具箱][41]和一个开源的[典范（reference）实现][42]，它们是为设备制造商或者任何能够构造人工胰腺设备的个人设计的，从而能够根据胰岛素水平安全地调节血液中葡萄糖水平。尽管潜在用户在尝试亲自构建或使用该系统前应该小心地测试该项目并和他们的健康护理医生讨论，但该项目的创建者希望开放技术能够加速医疗设备行业的研究和开发步伐，从而发现新的治疗方案并更快的投入市场。”

### OpenHAB

[OpenHAB][43] 是一个具有可插拔体系结构的家用自动化平台。社区管理员 D Ruth Bavousett 今年购买该平台并尝试使用以后为 OpenHAB [写到][44]：

“我所发现的其中一个有趣的模块是蓝牙绑定；它能够发现特定的已启用蓝牙的设备（比如你的智能手机、你孩子的那些设备）并且在这些设备到达或离开的时候采取行动－关门或开门、开灯、调节恒温器和关闭安全模式等等”

查看这个能够与社交网络、即时消息和云 IoT 平台进行集成和通讯的[绑定和捆绑设备的完整列表][45]。

OpenHAB 是 EPL 许可的，它的[源代码][46]托管在 GitHub 上。

### OpenToonz

[OpenToonz][47] 是一个 2D 动画生产软件。社区管理员 Joshua Allen 在 2016 年 3 月[报道][48]了它的开源版本，在 Opensource.com 网站的其他动画相关的文章中它也有被提及，但是我们并没有深入介绍，敬请期待。

现在，我们可以告诉你的是， OpenToonz 有许多独一无二的特性，包括 GTS，它是吉卜力工作室（Studio Ghibli ）开发的一个生成工具，还有一个用于图像处理的[效果插件 SDK][49]。

如果想讨论开发和视频研究的话题，请查看 GitHub 上的[论坛][50]。 OpenToonz 的[源代码][51]托管在 GitHub 上，该项目是以 BSD 许可证发布。

### Roundcube

[Roundcube][52] 是一个现代化、基于浏览器的邮件客户端，它提供了邮箱用户使用桌面客户端时可能用到的许多（如果不是全部）功能。它有许多特性，包括支持超过 70 种语言、集成拼写检查、拖放界面、功能丰富的通讯簿、 HTML 电子邮件撰写、多条件搜索、 PGP 加密支持、会话线索等。 Roundcube 可以作为许多用户的邮件客户端的偶尔的替代品工作。

在我们的 [Gmail的开源替代品][53] 综述中， Roundcube 和另外四个邮件客户端均被包含在内。

其以 [GPLv3][55] 许可证发布，你可以在 GitHub 上找到 Roundcube 的[源代码][54]。除了直接[下载][56]、安装该项目，你也可以在许多完整的邮箱服务器软件中找到它，如 [Groupware][57]、[iRedMail][58]、[Mail-in-a-Box][59] 和 [mailcow][60]。


这就是我们的列表了。在 2016 年，你有什么喜爱的开源项目吗？喜爱的原因呢？请在下面的评论框发表。

--------------------------------------------------------------------------------

作者简介：

![](https://opensource.com/sites/default/files/styles/profile_pictures/public/jen-headshot-square.jpeg?itok=GTMugLtD)

Jen Wike Huger - Jen Wike Huger 是 Opensource.com 网站的内容管理员。她负责日期发布、协调编辑团队并指导新作者和已有作者。请在 Twitter 上关注她　@jenwike， 并在 Jen.io 上查看她的更多个人简介。

--------------------------------------------------------------------------------

via: https://opensource.com/article/16/12/yearbook-top-10-open-source-projects

作者：[Jen Wike Huger][a]
译者：[ucasFL](https://github.com/ucasFL)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/jen-wike
[1]:https://www.flickr.com/photos/george_eastman_house/
[2]:https://www.flickr.com/photos/internetarchivebookimages/14784547612/in/photolist-owsEVj-odcHUi-osAjiE-x91Jr9-obHow3-owt68v-owu56t-ouySJt-odaPbp-owajfC-ouBSeL-oeTzy4-ox1okT-odZmpW-ouXBnc-ot2Du4-ocakCh-obZ8Pp-oeTNDK-ouiMZZ-ie12mP-oeVPhH-of2dD4-obXM65-owkSzg-odBEbi-oqYadd-ouiNiK-icoz2G-ie4G4G-ocALsB-ouHTJC-wGocbd-osUxcE-oeYNdc-of1ymF-idPbwn-odoerh-oeSekw-ovaayH-otn9x3-ouoPm7-od8KVS-oduYZL-obYkk3-hXWops-ocUu6k-dTeHx6-ot6Fs5-ouXK46
[3]:https://atom.io/
[4]:https://opensource.com/life/16/2/culture-pluggable-open-source
[5]:https://github.com/atom/atom/blob/master/CONTRIBUTING.md
[6]:https://github.com/atom/atom
[7]:http://discuss.atom.io/
[8]:http://atom-slack.herokuapp.com/
[9]:https://raw.githubusercontent.com/atom/atom/master/LICENSE.md
[10]:https://github.com/atom/atom
[11]:http://www.eclipse.org/che/
[12]:https://linux.cn/article-8018-1.html
[13]:https://www.eclipse.org/che/getting-started/cloud/
[14]:https://www.eclipse.org/che/getting-started/download/
[15]:https://bitnami.com/stack/eclipse-che
[16]:https://github.com/eclipse/che/
[17]:https://github.com/eclipse/che/blob/master/LICENSE
[18]:http://www.freecadweb.org/
[19]:https://opensource.com/alternatives/autocad
[20]:https://github.com/FreeCAD/FreeCAD/blob/master/COPYING
[21]:https://github.com/FreeCAD/FreeCAD
[22]:https://www.gnucash.org/
[23]:https://opensource.com/life/16/1/3-open-source-personal-finance-tools-linux
[24]:https://github.com/Gnucash/
[25]:https://github.com/Gnucash/gnucash/blob/master/LICENSE
[26]:https://kmymoney.org/
[27]:https://kodi.tv/
[28]:https://opensource.com/life/16/1/how-set-linux-based-music-server-home
[29]:https://opensource.com/life/16/6/tinymediamanager-catalogs-your-movie-and-tv-files
[30]:https://opensource.com/life/15/11/favorite-open-source-video-player
[31]:https://opensource.com/how-submit-article
[32]:https://github.com/xbmc/xbmc
[33]:https://github.com/xbmc/xbmc/blob/master/LICENSE.GPL
[34]:https://community.mycollab.com/
[35]:https://opensource.com/business/16/3/top-project-management-tools-2016
[36]:https://github.com/MyCollab/mycollab
[37]:https://community.mycollab.com/docs/developing-mycollab/how-can-i-contribute-to-mycollab/
[38]:https://github.com/MyCollab/mycollab
[39]:https://openaps.org/
[40]:https://openaps.org/reference-design
[41]:https://github.com/openaps/openaps
[42]:https://github.com/openaps/oref0/
[43]:http://www.openhab.org/
[44]:https://opensource.com/life/16/4/automating-your-home-openhab
[45]:http://www.openhab.org/features/supported-technologies.html
[46]:https://github.com/openhab/openhab
[47]:https://opentoonz.github.io/e/index.html
[48]:https://opensource.com/life/16/3/weekly-news-march-26
[49]:https://github.com/opentoonz/plugin_sdk
[50]:https://github.com/opentoonz/opentoonz/issues
[51]:https://github.com/opentoonz/opentoonz
[52]:https://roundcube.net/
[53]:https://opensource.com/alternatives/gmail
[54]:https://github.com/roundcube/roundcubemail
[55]:https://github.com/roundcube/roundcubemail/blob/master/LICENSE
[56]:https://roundcube.net/download/
[57]:http://kolab.org/
[58]:http://www.iredmail.org/
[59]:https://mailinabox.email/
[60]:https://mailcow.email/
