Fuchsia 对 Android 意味着什么
============================================================

Fuchsia 可能是下个会替代 Android 或 Chrome OS 的系统。猜测有很多，Jack Wallen 对此补充了一些给 Google 的赞誉和告诫。

![fuchsiahero.jpg](https://tr1.cbsistatic.com/hub/i/r/2017/05/16/d2a51714-2cd0-4fd5-9639-a6f2f8140c2e/resize/770x/10063b88bf93990b65e5d14ee33a0aac/fuchsiahero.jpg) 

Image: Jack Wallen

Google 总是以 “Google” 的方式解决或者做某件事。因此，当他们开始做一个让很多人挠头的项目时，大家是不觉得奇怪的。该项目被称为 [Fuschia][6]，大多数密切关注 Google 和 Android 的人都知道这个新平台。

对于那些还没紧跟 Google 最新消息的用户而言，Fuschia 是一个新的、开源的实时操作系统，它首先出现于 2016 年 8 月。那时，Fuchsia 只不过是一个命令行。一年不到的时间过去了，这个平台已经有了一个相当有趣的 GUI。

可能最让 Linux 拥趸失望的是，Fuchsia 并没有使用 Linux 内核。这个项目完全是 Google 开发的，使用了 Google 开发的名为 “Magenta”微内核。他们为什么这么做？了解到 Google 的最新设备 Pixel 运行的内核是 Linux 内核 3.18，你就会有你自己的答案了。Linux 3.18 发布于 2014 年（也就是说，在技术上已经过时了）。既然这样，为什么 Google 不能自己完全单干，以便尽可能地保持他们的移动平台跟上最新发展？

尽管我不愿意承认 Linux 可能不会（在未来的某个时期）成为全球最广泛使用的生态系统，但我相信这是 Google 的正确举措，不过我有一个重要的告诫。

### 首先，一些赞誉

首先我必须说，Google 开源 Fuchsia 这事真棒。Android 已经从开源的 Linux 内核中受益多年，所以这促使了 Google 开放他们最新的项目。说实话，如果不是开源和 Linux 内核，Android 就不会发展得那么快了。事实上，我大胆猜测，如果 Android 没有 Linux 和开源的支持，现在移动市场份额会显示出非常不同的、由苹果制定的结果。

一些喝彩是有必要的。操作系统不时需要完全重新思考。Android 是一个为移动平台服务得很好的令人惊奇的平台。然而，走到现在也就差不多了。考虑到消费界一直在寻找下一个大事件，而 Android（和 iOS）的潜力已尽榨干。与一个严重过时的内核相比，还是准备迎接对 Fuchsia 的喜爱吧。

谷歌从来不会停滞不前，这个新平台是证明。

### 一个十足的告诫

开始这部分之前，我需要先给大家展示我的开源背景。自从 90 年代末以来，我一直是 Linux 的用户，并几乎涉及了开源的各个方面。在过去几年中，我一直在关注 Ubuntu 的发展，并对他们（现在）失败的融合尝试发表过看法。换言之，这也是我对 Fuchsia 的担心。

我认为 Google 对 Fucshia 的大计划是创建一个面对所有设备的操作系统：智能手机、IoT、Chromebook。从表面看来，这听起来像是一个会有重大成果的想法。但是，如果你看过 Canonical 对 Unity 8/Mir 融合的努力，你就会对“一个平台统治所有”的想法感到畏惧。当然这并不完全相同。我觉得 Google 正在创建一个单一的平台，让你 “融合” 所有的设备。毕竟，智能手机与物联网融合有什么好处？我们不需要在手机和恒温器之间交换数据。对么？对么？？？

即使如此，这应该是谷歌的计划，我会提醒他们近距离了解下 Canonical 和 Unity 8 之间发生的事。想法很好，但根本无法实现。

我也有可能错了。Google 可能只是将 Fuchsia 看作是 Android 的替代品。这很可能是 Google 需要替换过时的 Linux 内核，并决定“把一切都包含进来”。但是考虑到 Armadillo（Fuchsia UI）由跨平台的 [Flutter SDK][7] 编写，跨越平台边界的想法就有了可能。

或者，也许 Fuchsia 只是谷歌说的 “让我们用今天所知道的知识重建我们的智能手机平台，看看它会走向何方”。如果是这样，我可以想象，Google 移动操作系统将会取得重大成功。然而，现实情况是，人们必须面对的是“一个平台统治所有”还有许多要解决的事情。Google 已经在 Chromebook 上测试 Android app 很长时间了。不幸的是，这个思路一直反响平平（最多如此）。随着微软以自己的方式来直面 Chromebook，Google 知道他们必须扩大生态系统，否则将会失去宝贵的领地（如在教育领域）。要解决这个问题的一种方法是使用单个操作系统来驱动智能手机和 Chromebook。这意味着所有的程序都可以在两个平台（这是一个重要的福音）运行以及生态系统的普遍性（再一次，这是巨大的福音）。

### 猜测

Google 对会引发很多行家的猜测的事情一直小心谨慎。一般来说，至少对于 Android，谷歌似乎一直都在做出正确的选择。如果他们相信 Fuchsia 是要走的路，那么我就倾向于相信他们。然而，围绕这个平台有如此多的不确定性会让人们一直迫切地要知道。

那你怎么看？Fuchsia 会成为什么？和我一起猜猜看。

--------------------------------------------------------------------------------

作者简介：

Jack Wallen 是 TechRepublic 和 Linux.com 的获奖作家。他是开源的狂热倡导者, 也是 The Android Expert 的代言人。有关 Jack Wallen 的更多消息，请访问他的网站 jackwallen.com。


-------------------

via: http://www.techrepublic.com/article/what-fuchsia-could-mean-for-android/

作者：[Jack Wallen][a]
译者：[geekpi](https://github.com/geekpi)
校对：[jasminepeng](https://github.com/jasminepeng)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://www.techrepublic.com/article/what-fuchsia-could-mean-for-android/#modal-bio
[1]:http://www.techrepublic.com/article/biometric-mobile-payments-will-hit-2b-this-year/
[2]:http://www.techrepublic.com/article/apple-invests-200m-in-us-manufacturing-to-help-corning-produce-new-state-of-the-art-glass/
[3]:http://www.techrepublic.com/article/google-will-soon-require-android-for-work-profiles-for-enterprise-users/
[4]:http://www.techrepublic.com/newsletters/
[5]:http://www.techrepublic.com/article/what-fuchsia-could-mean-for-android/#postComments
[6]:https://github.com/fuchsia-mirror
[7]:https://flutter.io/
[8]:http://intent.cbsi.com/redir?tag=medc-content-top-leaderboard&siteId=11&rsid=cbsitechrepublicsite&pagetype=article&sl=en&sc=us&topicguid=09288d3a-8606-11e2-a661-024c619f5c3d&assetguid=714cb8ff-ebf0-4584-a421-e8464aae66cf&assettype=content_article&ftag_cd=LGN3588bd2&devicetype=desktop&viewguid=4c47ca57-283d-4861-a131-09e058b652ac&q=&ctype=docids;promo&cval=33109435;7205&ttag=&ursuid=&bhid=&destUrl=http%3A%2F%2Fwww.techrepublic.com%2Fresource-library%2Fwhitepapers%2Ftaming-it-complexity-with-managed-services-japanese%2F%3Fpromo%3D7205%26ftag%3DLGN3588bd2%26cval%3Dcontent-top-leaderboard
[10]:http://www.techrepublic.com/rssfeeds/topic/android/
[11]:http://www.techrepublic.com/meet-the-team/us/jack-wallen/
[12]:https://twitter.com/intent/user?screen_name=jlwallen
