3 个可以替代 Emacs 和 Vim 的文本编辑器
======

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/computer_keyboard_laptop_development_blue.png?itok=IfckxN48)

> Vim 和 Emacs 对于 Linux 桌面上进行文本编辑显然是重量级的，但是它们并非唯一之选。

Emacs 和 Vim 的粉丝们，在你们开始编辑器之争之前，请你们理解，这篇文章并不是为了贬低诸位最喜欢的编辑器。我是一个 Emacs 爱好者，但是也很喜欢 Vim。

就是说，我认为 Emacs 和 Vim 并不适合所有人。也许 [编辑器之争][1] 略显幼稚，让很多人失望了。也许他们只是想要有一个不太苛刻的现代化的编辑器。 

如果你正寻找可以替代 Emacs 或者 Vim 的编辑器，请继续阅读下去。这里有三个可能会让你感兴趣的编辑器。

### Geany

![用 Geany 编辑一个 LaTeX 文档][3]

*你可以用 Geany 编辑 LaTeX 文档*

[Geany][4] 是一个古老的编辑器，当我还在过时的硬件上运行轻量级 Linux 发行版的时候，[Geany][4] 就是一个优秀的的编辑器。Geany 开始用于我的 [LaTeX][5] 编辑，但是很快就成为我所有的文本编辑的编辑器了。

尽管 Geany 号称是轻量且快速的 [IDE][6]（集成开发环境），但是它绝不仅仅是一个技术人的工具。Geany 轻便快捷，即便是在一个过时的机器或是 [运行 Linux 的 Chromebook][7] 也能轻松运行起来。无论是从编辑配置文件到维护任务列表或日志，从写文章或书籍到编写代码和脚本，Geany 都能轻松胜任。

[插件][8] 给 Geany 带来一些额外的魅力。这些插件拓展了 Geany 的功能，让你编码或是处理一些标记语言变得更高效，帮助你处理文本，甚至做拼写检查。

### Atom

![使用 Atom 编辑网页][10]

*使用 Atom 编辑网页*

在文本编辑器领域，[Atom][11] 后来居上。很短的时间内，Atom 就获得了一批忠实的追随者。

Atom 的定制功能让其拥有如此的吸引力。如果有一些技术癖好，你完全可以在这个编辑器上随意设置。如果你不仅仅是沉迷技术，Atom 也有 [一些主题][12] ，你可以用来更改编辑器外观。

千万不要低估 Atom 数以千计的 [拓展包][13]。它们能在不同功能上拓展 Atom，能根据你的爱好把 Atom 转化成合适的文本编辑器或是开发环境。Atom 不仅为程序员提供服务。它同样是适用于 [作家的文本编辑器][14]。

### Xed

![使用 Xed 编辑文章][16]

*使用 Xed 编辑文章*

可能对用户体验来说，Atom 和 Geany 略显臃肿。也许你只想要一个轻量级，一个不要太简陋也不要有太多很少使用的特性的编辑器，如此看来，[Xed][17] 正是你所期待的。

如果 Xed 你看着眼熟，那是因为它是 MATE 桌面环境中 Pluma 编辑器上的分支。我发现相比于 Pluma，Xed 可能速度更快一点，响应更灵敏一点——不过，因人而异吧。

虽然 Xed 没有那么多的功能，但也不至于太糟。它有扎实的语法高亮，略强于一般的搜索替换和拼写检查功能以及单窗口编辑多文件的选项卡式界面。

### 其他值得发掘的编辑器

我不是 KDE 痴，当我工作在 KDE 环境下时， [KDevelop][18] 就已经是我深度工作时的首选了。它很强大而且灵活，又没有过大的体积，很像 Genany。

虽然我还没感受过对它的喜爱，但是我认识的几个人都用 [Brackets][19] 感受到了。它很强大，而且不得不承认它的 [拓展][20] 真的很实用。

被称为 “开发者的编辑器” 的 [Notepadqq][21] ，总让人联想到 [Notepad++][22]。虽然它的发展仍处于早期阶段，但至少它看起来还是很有前景的。

对于那些只有简单的文本编辑器需求的人来说，[Gedit][23] 和 [Kate][24] 相比是极好的。它绝不是太过原始的编辑器——它有足够完成大型文本编辑的功能。无论是 Gedit 还是 Kate 都以速度和易上手而称名。

你有其他 Emacs 和 Vim 之外的挚爱编辑器么？方便的话留言分享。


--------------------------------------------------------------------------------

via: https://opensource.com/article/17/9/3-alternatives-emacs-and-vim

作者：[Scott Nesbitt][a]
译者：[CYLeft](https://github.com/CYLeft)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/scottnesbitt
[1]:https://en.wikipedia.org/wiki/Editor_war
[2]:/file/370196
[3]:https://opensource.com/sites/default/files/u128651/geany.png (Editing a LaTeX document with Geany)
[4]:https://www.geany.org/
[5]:https://opensource.com/article/17/6/introduction-latex
[6]:https://en.wikipedia.org/wiki/Integrated_development_environment
[7]:https://opensource.com/article/17/4/linux-chromebook-gallium-os
[8]:http://plugins.geany.org/
[9]:/file/370191
[10]:https://opensource.com/sites/default/files/u128651/atom.png (Editing a webpage with Atom)
[11]:https://atom.io
[12]:https://atom.io/themes
[13]:https://atom.io/packages
[14]:https://opensource.com/article/17/5/atom-text-editor-packages-writers
[15]:/file/370201
[16]:https://opensource.com/sites/default/files/u128651/xed.png (Writing this article in Xed)
[17]:https://github.com/linuxmint/xed
[18]:https://www.kdevelop.org/
[19]:http://brackets.io/
[20]:https://registry.brackets.io/
[21]:http://notepadqq.altervista.org/s/
[22]:https://opensource.com/article/16/12/notepad-text-editor
[23]:https://wiki.gnome.org/Apps/Gedit
[24]:https://kate-editor.org/
