如何配置一个小朋友使用的 Linux
======

![](https://www.maketecheasier.com/assets/uploads/2017/12/keep-kids-safe-online-hero.jpg)

如果你接触电脑有一段时间了，提到 Linux，你应该会联想到一些特定的人群。你觉得哪些人在使用 Linux？别担心，这就告诉你。

Linux 是一个可以深度定制的操作系统。这就赋予了用户高度控制权。事实上，家长们可以针对小朋友设置出一个专门的 Linux 发行版，确保让孩子不会在不经意间接触那些高危地带。但是相比 Windows，这些设置显得更费时，但是一劳永逸。Linux 的开源免费，让教室或计算机实验室系统部署变得容易。

### 小朋友的 Linux 发行版

这些为儿童而简化的 Linux 发行版，界面对儿童十分友好。家长只需要先安装和设置，孩子就可以完全独立地使用计算机了。你将看见多彩的图形界面，丰富的图画，简明的语言。

不过，不幸的是，这类发行版不会经常更新，甚至有些已经不再积极开发了。但也不意味着不能使用，只是故障发生率可能会高一点。

![qimo-gcompris][1]

#### 1. Edubuntu

[Edubuntu][2] 是 Ubuntu 的一个分支版本，专用于教育事业。它拥有丰富的图形环境和大量教育软件，易于更新维护。它被设计成初高中学生专用的操作系统。

#### 2. Ubermix

[Ubermix][3] 是根据教育需求而被设计出来的。Ubermix 将学生从复杂的计算机设备中解脱出来，就像手机一样简单易用，而不会牺牲性能和操作系统的全部能力。一键开机、五分钟安装、二十秒钟快速还原机制，以及超过 60 个的免费预装软件，ubermix 就可以让你的硬件变成功能强大的学习设备。

#### 3. Sugar

[Sugar][4] 是为“每个孩子一台笔记本（OLPC）计划”而设计的操作系统。Sugar 和普通桌面 Linux 大不相同，它更专注于学生课堂使用和教授编程能力。

**注意** ：很多为儿童开发的 Linux 发行版我并没有列举，因为它们大都不再积极维护或是被长时间遗弃。

### 为小朋友过筛选内容的 Linux

只有你，最能保护孩子拒绝访问少儿不宜的内容，但是你不可能每分每秒都在孩子身边。但是你可以设置“限制访问”的 URL 到内容过滤代理服务器（通过软件）。这里有两个主要的软件可以帮助你。

![儿童内容过滤 Linux][5]

#### 1、 DansGuardian

[DansGuardian][6]，一个开源内容过滤软件，几乎可以工作在任何 Linux 发行版上，灵活而强大，需要你通过命令行设置你的代理。如果你不深究代理服务器的设置，这可能是最强力的选择。

配置 DansGuardian 可不是轻松活儿，但是你可以跟着安装说明按步骤完成。一旦设置完成，它将是过滤不良内容的高效工具。

#### 2、 Parental Control: Family Friendly Filter

[Parental Control: Family Friendly Filter][7] 是 Firefox 的插件，允许家长屏蔽包含色情内容在内的任何少儿不宜的网站。你也可以设置不良网站黑名单，将其一直屏蔽。

![firefox 内容过滤插件][8]

你使用的老版本的 Firefox 可能不支持 [网页插件][9]，那么你可以使用 [ProCon Latte 内容过滤器][10]。家长们添加网址到预设的黑名单内，然后设置密码，防止设置被篡改。

#### 3、 Blocksi 网页过滤

[Blocksi 网页过滤][11] 是 Chrome 浏览器插件，能有效过滤网页和 Youtube。它也提供限时服务，这样你可以限制家里小朋友的上网时间。

### 闲趣

![Linux 儿童游戏：tux kart][12]

给孩子们使用的计算机，不管是否是用作教育，最好都要有一些游戏。虽然 Linux 没有 Windows 那么好的游戏性，但也在奋力追赶。这有建议几个有益的游戏，你可以安装到孩子们的计算机上。

*   [Super Tux Kart][21]（竞速卡丁车）
*   [GCompris][22]（适合教育的游戏）
*   [Secret Maryo Chronicles][23]（超级马里奥）
*   [Childsplay][24]（教育/记忆力游戏）
*   [EToys][25]（儿童编程）
*   [TuxTyping][26]（打字游戏）
*   [Kalzium][27]（元素周期表）
*   [Tux of Math Command][28]（数学游戏）
*   [Pink Pony][29]（Tron 风格竞速游戏）
*   [KTuberling][30]（创造游戏）
*   [TuxPaint][31]（绘画）
*   [Blinken][32]（[记忆力][33] 游戏）
*   [KTurtle][34]（编程指导环境）
*   [KStars][35]（天文馆）
*   [Marble][36]（虚拟地球）
*   [KHangman][37]（猜单词）

### 结论：为什么给孩子使用 Linux？

Linux 以复杂著称。那为什么给孩子使用 Linux？这是为了让孩子适应 Linux。在 Linux 上工作给了解系统运行提供了很多机会。当孩子长大，他们就有随自己兴趣探索的机会。得益于 Linux 如此开放的平台，孩子们才能得到这么一个极佳的场所发现自己对计算机的毕生之恋。

本文于 2010 年 7 月首发，2017 年 12 月更新。

图片来自 [在校学生][13]

--------------------------------------------------------------------------------

via: https://www.maketecheasier.com/configure-linux-for-children/

作者：[Alexander Fox][a]
译者：[CYLeft](https://github.com/CYLeft)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.maketecheasier.com/author/alexfox/
[1]:https://www.maketecheasier.com/assets/uploads/2010/08/qimo-gcompris.jpg (qimo-gcompris)
[2]:http://www.edubuntu.org
[3]:http://www.ubermix.org/
[4]:http://wiki.sugarlabs.org/go/Downloads
[5]:https://www.maketecheasier.com/assets/uploads/2017/12/linux-for-children-content-filtering.png (linux-for-children-content-filtering)
[6]:https://help.ubuntu.com/community/DansGuardian
[7]:https://addons.mozilla.org/en-US/firefox/addon/family-friendly-filter/
[8]:https://www.maketecheasier.com/assets/uploads/2017/12/firefox-content-filter-addon.png (firefox-content-filter-addon)
[9]:https://www.maketecheasier.com/best-firefox-web-extensions/
[10]:https://addons.mozilla.org/en-US/firefox/addon/procon-latte/
[11]:https://chrome.google.com/webstore/detail/blocksi-web-filter/pgmjaihnmedpcdkjcgigocogcbffgkbn?hl=en
[12]:https://www.maketecheasier.com/assets/uploads/2017/12/linux-for-children-tux-kart-e1513389774535.jpg (linux-for-children-tux-kart)
[13]:https://www.flickr.com/photos/lupuca/8720604364
[21]:http://supertuxkart.sourceforge.net/
[22]:http://gcompris.net/
[23]:http://www.secretmaryo.org/
[24]:http://www.schoolsplay.org/
[25]:http://www.squeakland.org/about/intro/
[26]:http://tux4kids.alioth.debian.org/tuxtype/index.php
[27]:http://edu.kde.org/kalzium/
[28]:http://tux4kids.alioth.debian.org/tuxmath/index.php
[29]:http://code.google.com/p/pink-pony/
[30]:http://games.kde.org/game.php?game=ktuberling
[31]:http://www.tuxpaint.org/
[32]:https://www.kde.org/applications/education/blinken/
[33]:https://www.ebay.com/sch/i.html?_nkw=memory
[34]:https://www.kde.org/applications/education/kturtle/
[35]:https://www.kde.org/applications/education/kstars/
[36]:https://www.kde.org/applications/education/marble/
[37]:https://www.kde.org/applications/education/khangman/
