6 个 Liunx 平台下最好的替代 Microsoft Office 的开源办公软件
===========

> 概要：还在 Linux 中寻找 Microsoft Office 吗? 这里有一些最好的在 Linux 平台下替代 Microsoft Office 的开源软件。

办公套件是任何操作系统的必备品。很难想象没有 Office 软件的桌面操作系统。虽然 Windows 有 MS Office 套件，Mac OS X 也有它自己的 iWork，但其他很多办公套件都是专门针对这些操作系统的，Linux 也有自己的办公套件。

在本文中，我会列举一些在 Linux 平台替代 Microsoft Office 的办公软件。

### Linux 最好的 MS Office 开源替代软件

![Best Microsoft office alternatives for Linux][1]

在我们看 MS Office 的替代软件之前，我们先来看看在一个像样的办公套件中有一些什么:

  * 文字处理器
  * 电子表格
  * 演示功能

我知道 Microsoft Office 提供了比上述三种工具更多的工具，但事实上，您主要使用这三个工具。开源办公套件并不限于只有这三种产品。其中有一些套件提供了一些额外的工具，但我们的重点将放在上述工具上。

让我们看看在 Linux 上有什么办公套件:

#### 6. Apache OpenOffice

![OpenOffice Logo][2]

[Apache OpenOffice][3] 或简单的称为 OpenOffice 有一段名称/所有者变更的历史。 它于 1999 年由 Sun Microsystems 公司开发，后来改名为 OpenOffice，将它作为一个与 MS Office 对抗的自由开源的替代软件。 当 Oracle 在 2010 年收购 Sun 公司后，一年之后便停止开发 OpenOffice。 最后是 Apache 支持它，现在被称为 Apache OpenOffice。

Apache OpenOffice 可用于多种平台，包括 Linux、Windows、Mac OS X、Unix、BSD。 除了 OpenDocument 格式外，它还支持 MS Office 文件。 办公套件包含以下应用程序：Writer、Calc、Impress、Base、Draw、Math。

安装 OpenOffice 是一件痛苦的事，因为它没有提供一个友好的安装程序。另外，有传言说 OpenOffice 开发可能已经停滞。 这是我不推荐的两个主要原因。 出于历史目的，我在这里列出它。

#### 5. Feng Office

![Feng Office logo][6]

[Feng Office][7] 以前被称为 OpenGoo。 这不是一个常规的办公套件。 它完全专注于在线办公，如 Google 文档一样。 换句话说，这是一个开源[协作平台][8]。

Feng Office 不支持桌面使用，因此如果您想在单个 Linux 桌面上使用它，这个可能无法实现。 另一方面，如果你有一个小企业、一个机构或其他组织，你可以尝试将其部署在本地服务器上。 

#### 4. Siag Office

![SIAG Office logo][9]

[Siag][10] 是一个非常轻量级的办公套件，适用于类 Unix 系统，可以在 16MB 的系统上运行。 由于它非常轻便，因此缺少标准办公套件中的许多功能。 但小即是丽，不是吗？ 它具有办公套件的所有必要功能，可以在[轻量级 Linux 发行版][11]上“正常工作”。它是 [Damn Small Linux][12] 默认安装软件。（LCTT 译注：根据官网，现已不是默认安装软件）

#### 3. Calligra Suite

![Calligra free and Open Source office logo][13]

[Calligra][14]，以前被称为 KOffice，是 KDE 中默认的 Office 套件。 它支持 Mac OS X、Windows、Linux、FreeBSD 系统。 它也曾经推出 Android 版本。 但不幸的是，后续没有继续支持 Android。 它拥有办公套件所需的必要应用程序以及一些额外的应用程序，如用于绘制流程图的 Flow 和用于项目管理的 Plane。

Calligra 最近的发展产生了相当大的影响，很有可能成为 [LibreOffice 的替代品][16]。

#### 2. ONLYOFFICE

![ONLYOFFICE is Linux alternative to Microsoft Office][17]

[ONLYOFFICE][18] 是办公套件市场上的新玩家，它更专注于协作部分。 企业（甚至个人）可以将其部署到自己的服务器上，以获得类似 Google Docs 之类的协作办公套件。

别担心，您不是必须将其安装在服务器上。有一个免费的开源[桌面版本][19] ONLYOFFICE。 您甚至可以获取 .deb 和 .rpm 二进制文件，以便将其安装在 Linux 桌面系统上。

#### 1. LibreOffice

![LibreOffice logo][20]

当 Oracle 决定停止 OpenOffice 的开发时，是[文档基金会][21]将其复制分发，这就是我们所熟知的 [Libre-Office][22]。从那时起，许多 Linux 发行版都将 OpenOffice 替换为 LibreOffice 作为它们的默认办公应用程序。

它适用于 Linux，Windows 和 Mac OS X，这使得在跨平台环境中易于使用。 和 Apache OpenOffice 一样，这也包括了除了 OpenDocument 格式以外的对 MS Office 文件的支持。 它还包含与 Apache OpenOffice 相同的应用程序。

您还可以使用 LibreOffice 作为 [Collabora Online][23] 的协作平台。 基本上，LibreOffice 是一个完整的软件包，无疑是 Linux、Windows 和 MacOS 的**最佳 Microsoft Office 替代品**。

### 你认为呢？

我希望 Microsoft Office 的这些开源替代软件可以节省您的资金。 您会使用哪种开源生产力办公套件？

--------------------------------------------------------------------------------

via: https://itsfoss.com/best-free-open-source-alternatives-microsoft-office/

作者：[Abhishek Prakash][a]
译者：[amwps290](https://github.com/amwps290)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://itsfoss.com/author/abhishek/
[1]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2012/06/best-open-source-alternatives-ms-office-800x450.jpg
[2]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2012/06/open-office-logo-wide.jpg
[3]:http://www.openoffice.org/
[4]:https://itsfoss.com/install-openoffice-ubuntu-linux/
[5]:https://itsfoss.com/openoffice-shutdown/
[6]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2012/06/feng-office-logo-wide-800x240.jpg
[7]:http://www.fengoffice.com/web/index.php?lang=en
[8]:https://en.wikipedia.org/wiki/Collaborative_software
[9]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2012/06/siag-office-logo-wide-800x240.jpg
[10]:http://siag.nu/
[11]:https://itsfoss.com/lightweight-linux-beginners/
[12]:http://www.damnsmalllinux.org/
[13]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2012/06/calligra-office-logo-wide-800x240.jpg
[14]:http://www.calligra.org/
[15]:https://itsfoss.com/calligra-android-app-coffice/
[16]:http://maketecheasier.com/is-calligra-a-great-alternative-to-libreoffice/2012/06/18
[17]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2012/06/only-office-logo-wide-800x240.png
[18]:https://www.onlyoffice.com/
[19]:https://itsfoss.com/review-onlyoffice-desktop-editors-linux/
[20]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2012/06/LibreOffice-logo-wide-800x240.jpg
[21]:http://www.documentfoundation.org/
[22]:http://www.libreoffice.org/
[23]:https://www.collaboraoffice.com/collabora-online/
