Linux 与 Unix 之差异
==============

[![Linux vs. Unix](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/unix-vs-linux_orig.jpg)][1] 

在计算机时代，相当一部分的人错误地认为 **Unix** 和 **Linux** 操作系统是一样的。然而，事实恰好相反。让我们仔细看看。
 
### 什么是 Unix？
 
[![what is unix](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/unix_orig.png)][2] 

在 IT 领域，以操作系统而为人所知的 Unix，是 1969 年 AT&T 公司在美国新泽西所开发的（目前它的商标权由国际开放标准组织所拥有）。大多数的操作系统都受到了 Unix 的启发，而 Unix 也受到了未完成的 Multics 系统的启发。Unix 的另一版本是来自贝尔实验室的 Play 9。

#### Unix 被用于哪里？  

作为一个操作系统，Unix 大多被用在服务器、工作站，现在也有用在个人计算机上。它在创建互联网、计算机网络或客户端/服务器模型方面发挥着非常重要的作用。

####  Unix 系统的特点

*	支持多任务
*	相比 Multics 操作更加简单
*	所有数据以纯文本形式存储
*	采用单一根文件的树状存储
*	能够同时访问多用户账户

#### Unix 操作系统的组成

**a)** 单核操作系统，负责低级操作以及由用户发起的操作，内核之间的通信通过系统调用进行。
**b)** 系统工具
**c)** 其他应用程序

### 什么是 Linux？

[![what is linux](http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/linux_orig.png)][4] 

这是一个基于 Unix 操作系统原理的开源操作系统。正如开源的含义一样，它是一个可以自由下载的系统。它也可以通过编辑、添加及扩充其源代码而定制该系统。这是它最大的好处之一，而不像今天的其它操作系统（Windows、Mac OS X 等）需要付费。Unix 系统不是创建新系统的唯一模版，另外一个重要的因素是 MINIX 系统，不像 Linus，此版本被其缔造者（Andrew Tanenbaum）用于商业系统。

Linux 由 Linus Torvalds 开发于 1991 年，这是一个其作为个人兴趣的操作系统。为什么 Linux 借鉴 Unix 的一个主要原因是因为其简洁性。Linux 第一个官方版本（0.01）发布于 1991 年 9 月 17 日。虽然这个系统并不是很完美和完善，但 Linus 对它产生很大的兴趣，并在几天内，Linus 发出了一些关于 Linux 源代码扩展以及其他想法的电子邮件。

#### Linux 的特点

Linux 的基石是 Unix 内核，其基于 Unix 的基本特点以及 **POSIX** 和单独的 **UNIX 规范标准**。看起来，该操作系统官方名字取自于 **Linus**，其中其操作系统名称的尾部的 “x” 和 **Unix 系统**相联系。 

#### 主要功能

*	同时运行多任务（多任务）
*	程序可以包含一个或多个进程（多用途系统），且每个进程可能有一个或多个线程。
*	多用户，因此它可以运行多个用户程序。
*	个人帐户受适当授权的保护。
*	因此账户准确地定义了系统控制权。

**企鹅 Tux** 的 Logo 作者是 Larry Ewing，他选择这个企鹅作为他的开源 **Linux 操作系统**的吉祥物。**Linux Torvalds** 最初提出这个新的操作系统的名字为 “Freax” ，即为 “自由（free）” + “奇异（freak）” + x（UNIX 系统）的结合字，而不像存放它的首个版本的 FTP 服务器上所起的名字（Linux）。


--------------------------------------------------------------------------------

via: http://www.linuxandubuntu.com/home/linux-vs-unix

作者：[linuxandubuntu][a]
译者：[HardworkFish](https://github.com/HardworkFish)
校对：[imquanquan](https://github.com/imquanquan), [wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://www.linuxandubuntu.com
[1]:http://www.linuxandubuntu.com/home/linux-vs-unix
[2]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/unix_orig.png
[3]:http://www.unix.org/what_is_unix.html
[4]:http://www.linuxandubuntu.com/uploads/2/1/1/5/21152474/linux_orig.png
[5]:https://www.linux.com
