如何为数字货币定价
======

![](https://tctechcrunch2011.files.wordpress.com/2018/01/fabian-blank-78637.jpg?w=1279&h=727&crop=1)

预测数字货币价格是一场愚人游戏，然而我想试试。单一数字货币价值的驱动因素目前太多，而且含糊不清，无法根据任何一点进行评估。或许新闻正报道说比特币呈上升趋势，但与此同时，有黑客攻击或是交易所 API 错误，就让比特币的价格下跌。以太坊看起来不够智能？谁知道呢，也许第二天就建立一个新的更智能的 DAO（LCTT 译注：区块链上，基于激励的经济协调机制，以代码作为表达，通过互联网进行传输，允许人们参与数字企业的风险&回报（即分配），代币创建了 DAO 参与者之间的经济链接）将吸引大量参与者。

那么，您该如何投资呢？又或是更准确的讲，您下注在哪种数字货币上呢？

理解什么时候买卖和持有数字货币，关键是使用与评估开源项目价值的相关工具。这已经一次又一次地被提及了，但是为了理解当前数字货币的快速发展，您必须回到 Linux 悄然兴起的时候。

互联网泡沫期间，Linux 出现在大众视野中。那时候，如果您想建立一个 Web 服务器，您必须将一台 Windows 服务器或者 Sun Sparc 工作站运送到一个服务器托管机房，在那里它将为传送 Pets.com（LCTT 译注：一个在线宠物商店，借着互联网繁荣的机会崛起，在互联网泡沫破裂时倒闭）的 HTML 页面而做出努力。与此同时，Linux 就像运行在微软和 Sun 公司平行路径上的货运列车一样，可以让开发人员使用日新月异的操作系统和工具集，快速、轻松地构建一次性项目。相比之下，解决方案提供商的花费比软硬件支出少得多，很快，所有科技巨头的业务由软件转向了服务提供，例如 Sun 公司。

Linux 的萌发促使整个开源市场蓬勃发展起来。但是有一个关键的问题，您无法从开源软件中赚钱。您可以提供服务，也可以销售使用开源组件的产品，但早期开源者主要是为了提升自我，而不是为了赚钱。

数字货币几乎完全遵循 Linux 的老路，但数字货币具有一定货币价值。因此，当您在为一个区块链项目工作时，您不是为了公共利益，也不是为了编写自由软件的乐趣，而是您写它的时候期望得到一大笔钱。因此，这掩盖了许多程序员的价值判断。那些给您带来了 Python、PHP、Django 和 Node.js 的人们回来了……而现在他们正在通过编程赚钱。

### 审查代码库

今年将是代币销售和数字货币领域大清算的一年。虽然许多公司已经能够摆脱糟糕的或不可用的代码库，但我怀疑开发人员是否能让未来的公司摆脱如此云山雾罩的东西。可以肯定地说，我们可以期待[像这样详细描述 Storj 代码库不足之处的文章成为规范][1]，这些评论会让许多所谓的“ICO” 们（LCTT 译注：代币首次发行融资）陷入困境。虽然规模巨大，但 ICO 的资金渠道是有限的，在某种程度上不完整的项目会被更严格的审查。

这是什么意思呢？这意味着要了解数字货币，您必须像对待创业公司那样对待它。您要看它是否有一个好团队？它是否是一个好产品？是否能运作？会有人想要使用它吗？现在评估整个数字货币的价值还为时过早，但如果我们假设代币将成为未来计算机互相支付的方式，这就让我们摆脱了许多疑问。毕竟，2000 年没有多少人知道 Apache 会在一个竞争激烈的市场上，几乎击败其他所有的 Web 服务器，或者像 Ubuntu 一样常见以至于可以随时可以搭建和拆毁它们。

理解数字货币价值的关键是忽视泡沫、炒作、恐惧、迷惑和怀疑心理，而是关注其真正的效用。您认为有一天您的手机会为另外一个手机付款，比如游戏内的额外费用吗？ 您是否认为信用卡系统会在互联网出现后消失？您是否期望有一天，在生活中花费一点点钱，让自己过得更加舒适？然后，通过一切手段，购买并持有您认为将来可能会使您的生活过得更舒适的东西。如果您认为通过 TCP/IP 互联网的方式并不能够改善您的生活（或是您对其没有足够的了解），那么您可能就不会关注这些。纳斯达克总是开放的，至少在银行的营业时间。

好的，下面是我的预测。

### 预测

以下是我在考虑加密货币的“投资”时应该考虑的事项评估。在我们开始之前，先讲下注意事项：

* 数字货币不是真正的货币投资，而是投资在未来的技术。这就好比：当您购买数字货币时，我们像是在<ruby>进取号星舰<rt>Starship Enterprise</rt></ruby>的甲板上交换“<ruby>星际信用<rt>Galactic Credit</rt></ruby>”（LCTT 译注:《星球大战》电影中的一种货币）一般。 这是数字货币的唯一不可避免的未来。虽然您可以强制将数字货币附加到各种经济模式中，对其抱有乐观的态度，整个平台是技术乌托邦，并假设各种令人兴奋和不可能的事情将在未来几年来到。如果您有多余的现金，您喜欢《星球大战》，那么您就可以投资这些“黄金”。如果您的兄弟告诉您相关信息，结果您用信用卡买了比特币，那么您可能会要度过一段啃馒头的时间。
* 不要相信任何人。没有担保，除了提供不是投资建议的免责声明，而且这绝不是对任何特定数字货币的背书，甚至是普遍概念，但我们必须明白，我在这里写的任何东西都可能是错误的。事实上，任何关于数字货币的文章都可能是错误的，任何试图卖给您吹得天花乱坠的代币的人，几乎肯定是骗子。总之，每个人都是错的，每个人都想要得到您的钱，所以要非常、非常小心。
* 您也可以持有。如果您是在 18000 美元的价位买的比特币，您最好还是继续持有下去。 现在您就好像正处于帕斯卡赌注。（LCTT 译注：论述——我不知道上帝是否存在，如果他不存在，作为无神论者没有任何好处，但是如果他存在，作为无神论者我将有很大的坏处。所以，宁愿相信上帝存在）是的，也许您因为数字货币让您赔钱而生气，但也许您只是因为您的愚蠢和自大，但现在您不妨保持信仰，因为没有什么是必然的，或者您可以承认您是有点过于热切。虽然现在您被惩罚，但要相信有比特币之神在注视着您。最终您需要深吸一口气，同意这一切都相当怪异，并坚持下去。

现在回过头来评估数字货币。

**比特币** —— 预计明年的涨幅将超过目前的低点。此外，[世界各地的证券交易委员会和其他联邦机构][2]也会开始以实际行动调整加密货币的买卖。现在银行开玩笑说，他们想要降低数字货币的风险。因此，比特币将成为数字黄金，成为投机者稳定，乏味但充满波动的避风港。尽管所有都不能用作真正的货币，但对于我们所需要的东西来说，这已经足够了，我们也可以期待量子计算的产品去改变最古老，最熟悉的加密货币的面貌。

**以太坊** —— 只要创造者 Vitalik Buterin 不再继续泼冷水，以太坊在价格上可以维持在上千美元。像一个懊悔的<ruby>维克多·弗兰肯斯坦<rt>Victor Frankenstein</rt></ruby>（LCTT 译注：来自《维克多·弗兰肯斯坦》电影的一名角色），Buterin 倾向于做出惊人的事情，然后在网上诋毁他们，这种自我鞭策在充满泡沫和谎言的空间中实际上是非常有用的。以太坊是最接近我们有用的加密货币，但它本质上仍然是分布式应用。这是一个很有用，很聪明的方法，可以很容易地进行实验，但是，没有人用新的分布式数据存储或应用程序取代旧系统。总之，这是一个非常令人兴奋的技术，但是还没有人知道该用它做什么。

![][3]

以太坊的价格将何去何从？它将徘徊在 1000 美元左右，今年可能高达 1500 美元，但这是一个原则性的科技项目，但却不是一个保值产品。

**竞争币**（LCTT 译注：除比特币，以太币之外的所有的数字币，亦称之为山寨币） —— 泡沫的标志之一是当普通人说“我买不起比特币，所以我买了莱特币”这样的话时。这正是我从许多人那里听到的，就好像说“我买不起汉堡，所以我买了一斤木屑，我想孩子们会吃的，对不对？”那您要自担风险。竞争币对于很多人来说是一个风险非常低游戏，就好比您根据一个算法创造出某个竞争币，在市值达到一定水平时卖出，那么您可以赚取一笔不错的利润。况且，大多数竞争币不会在一夜之间消失。 我诚实地推荐以太坊而不是竞争币，但是如果您死磕竞争币，那祝您玩得开心。

**代币** —— 这是数字货币变得有趣的地方。代币需要研究机构和高校对技术有深入的了解，才能真正的评估。我见过的许多代币都是一场赌博，价格暴涨暴跌。我不会给其命名，但是经验法则是，如果您在公开市场上买了一个代币，那么您可能已经错过了赚钱的机会。截至 2018 年 1 月，代币销售，庄家开始投资一个代币几美分，最后得到百倍的回报。虽然许多创始人谈论他们的产品的神奇之处和他们的团队的强大，但是就是为了单车变摩托，把价值 4 美分一个的代币升值为 20 美分，再升值成一美元。您将收益乘以数百万，就能看到它的吸引力了。

答案很简单：找到您喜欢的几个项目并潜藏在他们的社区中。评估团队是否有实力，并且很早就知道该如何进入。将钱投入后就当扔掉几个月或几年。但无法保证，因为代币理念太过超前，以至于无法对其评估。

您正在阅读这篇文章，是因为您希望在这错综复杂的环境下得到一个方向。没关系，我已经跟许多数字货币创始人交谈，知道现在许多人不知道的事情，并且知道合谋和肮脏交易的准则。因此，像我们这样的人，要慢慢地分批购买，就会开始明白这究竟是怎么一回事，也许会从数字货币投资中获利。当数字货币的潜力被完全发掘，我们会得到一个像 Linux 一样的时代。

--------------------------------------------------------------------------------

via: https://techcrunch.com/2018/01/22/how-to-price-cryptocurrencies/

作者：[John Biggs][a]
译者：[wyxplus](https://github.com/wyxplus)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://techcrunch.com/author/john-biggs/
[1]:https://shitcoin.com/storj-not-a-dropbox-killer-1a9f27983d70
[2]:http://www.businessinsider.com/bitcoin-price-cryptocurrency-warning-from-sec-cftc-2018-1
[3]:https://tctechcrunch2011.files.wordpress.com/2018/01/vitalik-twitter-1312.png?w=525&h=615
[4]:https://unsplash.com/photos/pElSkGRA2NU?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText
[5]:https://unsplash.com/search/photos/cash?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText
