八种敏捷团队的提升方法
======

> 在这个列表中，没有项目管理软件，这里不包含清单，也没有与 GitHub 整合，只是几种组织思维和提高团队交流的方法。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/world_remote_teams.png?itok=Wk1yBFv6)

图片来源：opensource.com

你也许经常听说下面这句话：工具太多，时间太少。为了节约您的时间，我列出了几款我最常用的提高敏捷团队工作效率的工具。如果你也是一名敏捷主义者，你可能听说过类似的工具，但我这里提到的仅限于开源工具。

**请注意！** 这些工具和你想象的可能有点不同。它们并不是项目管理软件——这领域已经有一篇[好文章][1]了。因此这里不包含清单，也没有与 GitHub 整合，只是几种组织思维和提高团队交流的方法。

### 组建一个充满积极反馈的团队

如果在产业中大部分人都习惯了输出、接收负面消息，就很难有人对同事进行正面反馈的输出。这并不奇怪，当人们乐于给出赞美时，人们就会竞相向别人说“干得漂亮！”、“没有你我们很难完成任务。”赞美别人干的漂亮并不会使你痛苦，它通常能激励大家更好地为团队工作。下面两个软件可以帮助你向同事表达赞扬。

* 对开发团队来说，[Management 3.0][2] 是个有着大量[免费资源][3]的宝箱，可以尽情使用。其中 Feedback Wraps 的观念最引人注目（不仅仅是因为它让我们联想到墨西哥卷）。 [Feedback Wraps][4] 是一个经过六步对用户进行反馈的程序，也许你会认为它是为了负面反馈而设计的，但我们发现它在表达积极评论方面十分有效。
* [Happiness Packets][5] 为用户提供了在开源社区内匿名正面反馈的服务。它尤其适合不太习惯人际交往的用户或是不知道说什么好的情况。Happiness Packets 拥有一份[公开的评论档案][6]（这些评论都已经得到授权分享），你可以浏览大家的评论，从中得到灵感，对别人做出暖心的称赞。它还有个特殊功能，能够屏蔽恶意消息。

### 思考工作的意义

这很难定义。在敏捷领域中，成功的关键包括定义人物角色和产品愿景，还要向整个敏捷团队说明此项工作的意义。产品开发人员和项目负责人能够获得的开源工具数量极为有限，对于这一点我们有些失望。

在 Rat Hat 公司，最受尊敬也最为常用于训练敏捷团队的开源工具之一是 Product Vision Board 。它出自产品管理专家 Roman Pichler 之手，Roman Pichler 提供了[大量工具和模版][7]来帮助敏捷团队理解他们工作的意义。（你需要提供电子邮箱地址才能下载这些工具。）

* [Product Vision Board][8]  的模版通过简单但有效的问题引导团队转变思考方式，将思考工作的意义置于具体工作方法之前。
* 我们也很喜欢 Roman 的 [Product Management Test][9]，它能够通过简便快捷的网页表单，引领团队重新定义产品开发人员的角色，并且找出程序漏洞。我们推荐产品开发团队周期性地完成此项测试，重新分析失败原因。

### 对工作内容的直观化

你是否曾为一个大案子焦头烂额，连熟悉的步骤也在脑海中乱成一团？我们也遇到过这种情况。使用思维导图可以梳理你脑海中的想法，使其直观化。你不需要一下就想出整件事该怎么进行，你只需要你的头脑，一块白板（或者是思维导图软件）和一些思考的时间。

* 在这个领域中我们最喜欢的开源工具是 [Xmind3][10]。它支持多种平台运行（Linux、MacOS 和 Windows），以便与他人共享文件。如果你对工具的要求很高，推荐使用[其更新版本][11]，提供电子邮箱地址即可免费下载使用。
* 如果你很看重灵活性，Eduard Lucena 在 Fedora Magazine 中提供的 [三个附加选项][12] 就十分适合。你可以在 Fedora 杂志上找到这些软件的获取方式，其他信息可以在它们的项目页找到。

    * [Labyrinth][13]
    * [View Your Mind][14]
    * [FreeMind][15]

像我们开头说的一样，提高敏捷团队工作效率的工具有很多，如果你有特别喜欢的相关开源工具，请在评论中与大家分享。

### 作者简介

Jen Krieger ：Red Hat 的首席敏捷架构师，在软件开发领域已经工作超过 20 年，曾在瀑布及敏捷生命周期等领域扮演多种角色。目前在 Red Hat 负责针对 CI/CD 最佳效果的部际 DevOps 活动。最近她在与 Project Atomic & OpenShift 团队合作。她最近在引领公司向着敏捷团队改革，并增加开源项目在公司内的认知度。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/1/foss-tools-agile-teams

作者：[Jen Krieger][a]
译者：[Valoniakim](https://github.com/Valoniakim)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/jkrieger
[1]:https://opensource.com/business/16/3/top-project-management-tools-2016
[2]:https://management30.com/
[3]:https://management30.com/leadership-resource-hub/
[4]:https://management30.com/en/practice/feedback-wraps/
[5]:https://happinesspackets.io/
[6]:https://www.happinesspackets.io/archive/
[7]:http://www.romanpichler.com/tools/
[8]:http://www.romanpichler.com/tools/vision-board/
[9]:http://www.romanpichler.com/tools/romans-product-management-test/
[10]:https://sourceforge.net/projects/xmind3/?source=recommended
[11]:http://www.xmind.net/
[12]:https://fedoramagazine.org/three-mind-mapping-tools-fedora/
[13]:https://people.gnome.org/~dscorgie/labyrinth.html
[14]:http://www.insilmaril.de/vym/
[15]:http://freemind.sourceforge.net/wiki/index.php/Main_Page
