献给写作者的 Linux 工具
======

> 这些易用的开源应用可以帮助你打磨你的写作技巧、使研究更高效、更具有条理。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/EDUCATION_pencils.png?itok=U2FwL2LA)

如果你已经阅读过[我关于如何切换到 Linux 的文章][1]，那么你就知道我是一个超级用户。另外，我不是任何方面的“专家”，目前仍然如此。但是在过去几年里我学到了很多有用的东西，我想将这些技巧传给其他新的 Linux 用户。

今天，我将讨论我写作时使用的工具，基于三个标准来选择：

  1. 当我提交作品或文章时，我的主要写作工具必须与任何发布者兼容。
  2. 该软件使用起来必须简单快捷。
  3. 免费（自由）是很棒的。

有一些很棒的一体化免费解决方案，比如：

  1. [bibisco][2]
  2. [Manuskript][3]
  3. [oStorybook][4]

但是，当我试图寻找信息时，我往往会迷失方向并失去思路，所以我选择了适合我需求的多个应用程序。另外，我不想依赖互联网，以免服务下线。我把这些程序放在显示器桌面上，以便我一下全看到它们。

请考虑以下工具建议 ： 每个人的工作方式都不相同，并且你可能会发现一些更适合你工作方式的其他应用程序。以下这些工具是目前的写作工具：

### 文字处理器

[LibreOffice 6.0.1][5]。直到最近，我使用了 [WPS][6]，但由于字体渲染问题（Times New Roman 总是以粗体显示）而否定了它。LibreOffice 的最新版本非常适应 Microsoft Office，而且事实上它是开源的，这对我来说很重要。

### 词库

[Artha][7] 可以给出同义词、反义词、派生词等等。它外观整洁、速度快。例如，输入 “fast” 这个词，你会得到字典定义以及上面列出的其他选项。Artha 是送给开源社区的一个巨大的礼物，人们应该试试它，因为它似乎是一个冷僻的小程序。如果你使用 Linux，请立即安装此应用程序，你不会后悔的。

### 记笔记

[Zim][8] 标榜自己是一个桌面维基，但它也是你所能找到的最简单的多层级笔记应用程序。还有其它更漂亮的笔记程序，但 Zim 正是那种我需要管理角色、地点、情节和次要情节的程序。

### 投稿跟踪

我曾经使用过一款名为 [FileMaker Pro][9] 的专有软件，它惯坏了我。有很多数据库应用程序，但在我看来，最容易使用的某过于 [Glom][10] 了。它以图形方式满足我的需求，让我以表单形式输入信息而不是表格。在 Glom 中，你可以创建你需要的表单，这样你就可以立即看到相关信息（对于我来说，通过电子表格来查找信息就像将我的眼球拖到玻璃碎片上）。尽管 Glom 不再处于开发阶段，但它仍然是很棒的。

### 搜索

我已经开始使用 [StartPage.com][11] 作为我的默认搜索引擎。当然，当你写作时，[Google][12] 可以成为你最好的朋友之一。但我不喜欢每次我想了解特定人物、地点或事物时，Google 都会跟踪我。所以我使用 StartPage.com 来代替。它速度很快，并且不会跟踪你的搜索。我也使用 [DuckDuckGo.com][13] 作为 Google 的替代品。

### 其他的工具

[Chromium 浏览器][14] 是 [Google Chrome][15] 的开源版本，带有隐私插件。

尽管来自 [Mozilla][17] 的 [Thunderbird][16] 是一个很棒的程序，但我发现 [Geary][18] 是一个更快更轻的电子邮件应用程序。有关开源电子邮件应用程序的更多信息，请阅读 [Jason Baker][19] 的优秀文章：[6 个开源的桌面电子邮件客户端][20]。

正如你可能已经注意到，我对应用程序的喜爱趋向于将最好的 Windows、MacOS 都能运行，以及此处提到的开源 Linux 替代品融合在一起。我希望这些建议能帮助你发现有用的新方法来撰写并跟踪你的写作（谢谢你，Artha！）。

写作愉快！

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/3/top-Linux-tools-for-writers

作者：[Adam Worth][a]
译者：[MjSeven](https://github.com/MjSeven)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/adamworth
[1]:https://opensource.com/article/18/2/my-linux-story-Antergos
[2]:http://www.bibisco.com/
[3]:http://www.theologeek.ch/manuskript/
[4]:http://ostorybook.tuxfamily.org/index.php?lng=en
[5]:https://www.libreoffice.org/
[6]:http://wps-community.org/
[7]:https://sourceforge.net/projects/artha/
[8]:http://zim-wiki.org/
[9]:http://www.filemaker.com/
[10]:https://www.glom.org/
[11]:https://www.startpage.com/
[12]:https://www.google.com/
[13]:https://duckduckgo.com/
[14]:https://www.chromium.org/
[15]:https://www.google.com/chrome/
[16]:https://www.mozilla.org/en-US/thunderbird/
[17]:https://www.mozilla.org/en-US/
[18]:https://wiki.gnome.org/Apps/Geary
[19]:https://opensource.com/users/jason-baker
[20]:https://opensource.com/business/18/1/desktop-email-clients
