6 个开源的数字货币钱包
======

> 想寻找一个可以存储和交易你的比特币、以太坊和其它数字货币的软件吗？这里有 6 个开源的软件可以选择。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/bus_cash_register.jpg?itok=7NKVKuPa)

没有数字货币钱包，像比特币和以太坊这样的数字货币只不过是又一个空想罢了。这些钱包对于保存、发送、以及接收数字货币来说是必需的东西。

迅速成长的 [数字货币][1] 之所以是革命性的，都归功于它的去中心化，该网络中没有中央权威，每个人都享有平等的权力。开源技术是数字货币和 [区块链][2] 网络的核心所在。它使得这个充满活力的新兴行业能够从去中心化中获益 —— 比如，不可改变、透明和安全。

如果你正在寻找一个自由开源的数字货币钱包，请继续阅读，并开始去探索以下的选择能否满足你的需求。

### 1、 Copay

[Copay][3] 是一个能够很方便地存储比特币的开源数字货币钱包。这个软件以 [MIT 许可证][4] 发布。

Copay 服务器也是开源的。因此，开发者和比特币爱好者可以在服务器上部署他们自己的应用程序来完全控制他们的活动。

Copay 钱包能让你手中的比特币更加安全，而不是去信任不可靠的第三方。它允许你使用多重签名来批准交易，并且支持在同一个 app 钱包内支持存储多个独立的钱包。

Copay 可以在多种平台上使用，比如 Android、Windows、MacOS、Linux、和 iOS。

### 2、 MyEtherWallet

正如它的名字所示，[MyEtherWallet][5] (缩写为 MEW) 是一个以太坊钱包。它是开源的（遵循 [MIT 许可证][6]）并且是完全在线的，可以通过 web 浏览器来访问它。

这个钱包的客户端界面非常简洁，它可以让你自信而安全地参与到以太坊区块链中。

### 3、 mSIGNA

[mSIGNA][7] 是一个功能强大的桌面版应用程序，用于在比特币网络上完成交易。它遵循 [MIT 许可证][8] 并且在 MacOS、Windows、和 Linux 上可用。

这个区块链钱包可以让你完全控制你存储的比特币。其中一些特性包括用户友好性、灵活性、去中心化的离线密钥生成能力、加密的数据备份，以及多设备同步功能。

### 4、 Armory

[Armory][9] 是一个在你的计算机上产生和保管比特币私钥的开源钱包（遵循 [GNU AGPLv3][10]）。它通过使用冷存储和支持多重签名的能力增强了安全性。

使用 Armory，你可以在完全离线的计算机上设置一个钱包；你将通过<ruby>仅查看<rt>watch-only</rt></ruby>功能在因特网上查看你的比特币具体信息，这样有助于改善安全性。这个钱包也允许你去创建多个地址，并使用它们去完成不同的事务。

Armory 可用于 MacOS、Windows、和几个比较有特色的 Linux 平台上（包括树莓派）。

### 5、 Electrum

[Electrum][11] 是一个既对新手友好又具备专家功能的比特币钱包。它遵循 [MIT 许可证][12] 来发行。

Electrum 可以在你的本地机器上使用较少的资源来实现本地加密你的私钥，支持冷存储，并且提供多重签名能力。

它在各种操作系统和设备上都可以使用，包括 Windows、MacOS、Android、iOS 和 Linux，并且也可以在像 [Trezor][13] 这样的硬件钱包中使用。

### 6、 Etherwall

[Etherwall][14] 是第一款可以在桌面计算机上存储和发送以太坊的钱包。它是一个遵循 [GPLv3 许可证][15] 的开源钱包。

Etherwall 非常直观而且速度很快。更重要的是，它增加了你的私钥安全性，你可以在一个全节点或瘦节点上来运行它。它作为全节点客户端运行时，可以允许你在本地机器上下载整个以太坊区块链。

Etherwall 可以在 MacOS、Linux 和 Windows 平台上运行，并且它也支持 Trezor 硬件钱包。

### 智者之言

自由开源的数字钱包在让更多的人快速上手数字货币方面扮演至关重要的角色。

在你使用任何数字货币软件钱包之前，你一定要确保你的安全，而且一定要记住并完全遵循确保你的资金安全的最佳实践。

如果你喜欢的开源数字货币钱包不在以上的清单中，请在下面的评论区共享出你所知道的开源钱包。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/7/crypto-wallets

作者：[Dr.Michael J.Garbade][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[qhwdw](https://github.com/qhwdw)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/drmjg
[1]:https://www.liveedu.tv/guides/cryptocurrency/
[2]:https://opensource.com/tags/blockchain
[3]:https://copay.io/
[4]:https://github.com/bitpay/copay/blob/master/LICENSE
[5]:https://www.myetherwallet.com/
[6]:https://github.com/kvhnuke/etherwallet/blob/mercury/LICENSE.md
[7]:https://ciphrex.com/
[8]:https://github.com/ciphrex/mSIGNA/blob/master/LICENSE
[9]:https://www.bitcoinarmory.com/
[10]:https://github.com/etotheipi/BitcoinArmory/blob/master/LICENSE
[11]:https://electrum.org/#home
[12]:https://github.com/spesmilo/electrum/blob/master/LICENCE
[13]:https://trezor.io/
[14]:https://www.etherwall.com/
[15]:https://github.com/almindor/etherwall/blob/master/LICENSE
