20 questions DevOps job candidates should be prepared to answer
======

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/hire-job-career.png?itok=SrZo0QJ3)
Hiring the wrong person is [expensive][1]. Recruiting, hiring, and onboarding a new employee can cost a company as much as $240,000, according to Jörgen Sundberg, CEO of Link Humans. When you make the wrong hire:

  * You lose what they know.
  * You lose who they know.
  * Your team could go into the [storming][2] phase of group development.
  * Your company risks disorganization.



When you lose an employee, you lose a piece of the fabric of the company. It's also worth mentioning the pain on the other end. The person hired into the wrong job may experience stress, feelings of overall dissatisfaction, and even health issues.

On the other hand, when you get it right, your new hire will:

  * Enhance the existing culture, making your organization an even a better place to work. Studies show that a positive work culture helps [drive long-term financial performance][3] and that if you work in a happy environment, you’re more likely to do better in life.
  * Love working with your organization. When people love what they do, they tend to do it well.



Hiring to fit or enhance your existing culture is essential in DevOps and agile teams. That means hiring someone who can encourage effective collaboration so that individual contributors from varying backgrounds, and teams with different goals and working styles, can work together productively. Your new hire should help teams collaborate to maximize their value while also increasing employee satisfaction and balancing conflicting organizational goals. He or she should be able to choose tools and workflows wisely to complement your organization. Culture is everything.

As a follow-up to our November 2017 post, [20 questions DevOps hiring managers should be prepared to answer][4], this article will focus on how to hire for the best mutual fit.

### Why hiring goes wrong

The typical hiring strategy many companies use today is based on a talent surplus:

  * Post on job boards.
  * Focus on candidates with the skills they need.
  * Find as many candidates as possible.
  * Interview to weed out the weak.
  * Conduct formal interviews to do more weeding.
  * Assess, vote, and select.
  * Close on compensation.

![](https://opensource.com/sites/default/files/styles/panopoly_image_original/public/images/life-uploads/hiring_graphic.png?itok=1udGbkhB)

Job boards were invented during the Great Depression when millions of people were out of work and there was a talent surplus. There is no talent surplus in today's job market, yet we’re still using a hiring strategy that's based on one.

![](https://opensource.com/sites/default/files/styles/panopoly_image_original/public/images/life-uploads/732px-unemployed_men_queued_outside_a_depression_soup_kitchen_opened_in_chicago_by_al_capone_02-1931_-_nara_-_541927.jpg?itok=HSs4NjCN)

### Hire for mutual fit: Use culture and emotions

The idea behind the talent surplus hiring strategy is to design jobs and then slot people into them.

Instead, do the opposite: Find talented people who will positively add to your business culture, then find the best fit for them in a job they’ll love. To do this, you must be open to creating jobs around their passions.

**Who is looking for a job?** According to a 2016 survey of more than 50,000 U.S. developers, [85.7% of respondents][5] were either not interested in new opportunities or were not actively looking for them. And of those who were looking, a whopping [28.3% of job discoveries][5] came from referrals by friends. If you’re searching only for people who are looking for jobs, you’re missing out on top talent.

**Use your team to find and vet potential recruits**. For example, if Diane is a developer on your team, chances are she has [been coding for years][6] and has met fellow developers along the way who also love what they do. Wouldn’t you think her chances of vetting potential recruits for skills, knowledge, and intelligence would be higher than having someone from HR find and vet potential recruits? And before asking Diane to share her knowledge of fellow recruits, inform her of the upcoming mission, explain your desire to hire a diverse team of passionate explorers, and describe some of the areas where help will be needed in the future.

**What do employees want?** A comprehensive study comparing the wants and needs of Millennials, GenX’ers, and Baby Boomers shows that within two percentage points, we all [want the same things][7]:

  1. To make a positive impact on the organization
  2. To help solve social and/or environmental challenges
  3. To work with a diverse group of people



### The interview challenge

The interview should be a two-way conversation for finding a mutual fit between the person hiring and the person interviewing. Focus your interview on CQ ([Cultural Quotient][7]) and EQ ([Emotional Quotient][8]): Will this person reinforce and add to your culture and love working with you? Can you help make them successful at their job?

**For the hiring manager:** Every interview is an opportunity to learn how your organization could become more irresistible to prospective team members, and every positive interview can be your best opportunity to finding talent, even if you don’t hire that person. Everyone remembers being interviewed if it is a positive experience. Even if they don’t get hired, they will talk about the experience with their friends, and you may get a referral as a result. There is a big upside to this: If you’re not attracting this talent, you have the opportunity to learn the reason and fix it.

**For the interviewee** : Each interview experience is an opportunity to unlock your passions.

### 20 questions to help you unlock the passions of potential hires

  1. What are you passionate about?

  2. What makes you think, "I can't wait to get to work this morning!”

  3. What is the most fun you’ve ever had?

  4. What is your favorite example of a problem you’ve solved, and how did you solve it?

  5. How do you feel about paired learning?

  6. What’s at the top of your mind when you arrive at, and leave, the office?

  7. If you could have changed one thing in your previous/current job, what would it be?

  8. What are you excited to learn while working here?

  9. What do you aspire to in life, and how are you pursuing it?

  10. What do you want, or feel you need, to learn to achieve these aspirations?

  11. What values do you hold?

  12. How do you live those values?

  13. What does balance mean in your life?

  14. What work interactions are you are most proud of? Why?

  15. What type of environment do you like to create?

  16. How do you like to be treated?

  17. What do you trust vs. verify?

  18. Tell me about a recent learning you had when working on a project.

  19. What else should we know about you?

  20. If you were hiring me, what questions would you ask me?




--------------------------------------------------------------------------------

via: https://opensource.com/article/18/3/questions-devops-employees-should-answer

作者：[Catherine Louis][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/catherinelouis
[1]:https://www.shrm.org/resourcesandtools/hr-topics/employee-relations/pages/cost-of-bad-hires.aspx
[2]:https://en.wikipedia.org/wiki/Tuckman%27s_stages_of_group_development
[3]:http://www.forbes.com/sites/johnkotter/2011/02/10/does-corporate-culture-drive-financial-performance/
[4]:https://opensource.com/article/17/11/inclusive-workforce-takes-work
[5]:https://insights.stackoverflow.com/survey/2016#work-job-discovery
[6]:https://research.hackerrank.com/developer-skills/2018/
[7]:http://www-935.ibm.com/services/us/gbs/thoughtleadership/millennialworkplace/
[8]:https://en.wikipedia.org/wiki/Emotional_intelligence
