Excellent Free Roguelike Games
======
![Dungeon][1]

Roguelike is a sub-genre of role-playing games. It literally means "a game like Rogue". Rogue is a dungeon crawling video game, first released in 1980 by developers Michel Toy, Glenn Wichman and Ken Arnold. The game stood out from the crowd by being fiendishly addictive. The game's goal was to retrieve the Amulet of Yendor, hidden deep in the 26th level, and ascend back to the top, all set in a world based on Dungeons & Dragons.

The game is rightly considered to be a classic, formidably difficult yet compelling addictive. While it was popular in college and university campuses, it wasn't a big seller. At the time of its release, Rogue wasn't published under an open source license, which led to many clones being developed.

There is no exact definition of a roguelike, but this type of game typically has the following characteristics:

  * High fantasy narrative background
  * Procedural level generation. Most of the game world is generated by the game for every new gameplay session. This is meant to encourage replayability
  * Turn-based dungeon exploration and combat
  * Tile-based graphics that are randomly generated
  * Random conflict outcomes
  * Permanent death - death works realistically, once you're gone, you're gone
  * High difficulty



This article compiles a wide selection of roguelike games available for Linux. If you enjoy addictive gameplay with real intensity, I heartily recommended downloading these games. Don't be put off by the primitive graphics offered by many of the games, you'll soon forget the visuals once you get immersed in playing. Remember, in roguelikes game mechanics tend to be the primary focus, with graphics being a welcome, but not essential, addition.

There are 16 games recommended here. All of the games are available to download without charge, and almost all are released under an open source license.
| **Roguelike Games** |
| --- |
| **[Dungeon Crawl Stone Soup][1]** | A ﻿continuation of Linley’s Dungeon Crawl |
| **[Prospector][2]** | Roguelike game set in a science fiction universe |
| **[Dwarf Fortress][3]** | Adventure and Dwarf Fortress modes |
| **[NetHack][4]** | Wonderfully silly, and addictive Dungeons and Dragons-style adventure game |
| **[Angband][5]** | Along the lines of Rogue and NetHack. It is derived from the games Moria and Umoria |
| **[Ancient Domains of Mystery][6]** | Very mature Roguelike game |
| **[Tales of Maj’Eyal][7]** | Features tactical turn-based combat and advanced character building |
| **[UnNetHack][8]** | Inspired fork of NetHack |
| **[Hydra Slayer][9]** | Roguelike game based on mathematical puzzles |
| **[Cataclysm DDA][10]** | Post-apocalyptic roguelike, set in the countryside of fictional New England |
| **[Brogue][11]** | A direct descendant of Rogue |
| **[Goblin Hack][12]** | Inspired by the likes of NetHack, but faster with fewer keys |
| **[Ascii Sector][13]** | 2D trading and space flight simulator with roguelike action |
| **[SLASH'EM][14]** | Super Lotsa Added Stuff Hack - Extended Magic |
| **[Everything Is Fodder][15]** | Seven Day Roguelike competition entry |
| **[Woozoolike][16]** | A simple space exploration roguelike for 7DRL 2017. |


--------------------------------------------------------------------------------

via: https://www.linuxlinks.com/excellent-free-roguelike-games/

作者：[Steve Emms][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.linuxlinks.com/author/linuxlinks/
[1]:https://www.linuxlinks.com/dungeoncrawlstonesoup/
[2]:https://www.linuxlinks.com/Prospector-roguelike/
[3]:https://www.linuxlinks.com/dwarffortress/
[4]:https://www.linuxlinks.com/nethack/
[5]:https://www.linuxlinks.com/angband/
[6]:https://www.linuxlinks.com/ADOM/
[7]:https://www.linuxlinks.com/talesofmajeyal/
[8]:https://www.linuxlinks.com/unnethack/
[9]:https://www.linuxlinks.com/hydra-slayer/
[10]:https://www.linuxlinks.com/cataclysmdda/
[11]:https://www.linuxlinks.com/brogue/
[12]:https://www.linuxlinks.com/goblin-hack/
[13]:https://www.linuxlinks.com/asciisector/
[14]:https://www.linuxlinks.com/slashem/
[15]:https://www.linuxlinks.com/everything-is-fodder/
[16]:https://www.linuxlinks.com/Woozoolike/
[17]:https://i2.wp.com/www.linuxlinks.com/wp-content/uploads/2017/12/dungeon.jpg?resize=300%2C200&ssl=1
