4 tips for getting an older relative online with Linux
======

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/migration_innovation_computer_software.png?itok=VCFLtd0q)

According to a study by the [Pew Research Center][1], some members of older generations have a hard time learning computers because they were born at the wrong time to learn about computers in school or the workplace. It's a purely demographic phenomenon that tends to mostly affect older people. However, I firmly believe that these people can stay connected and can learn about the benefits of modern technology. The free software community is uniquely placed in ideology, values, and distribution to fill that need. We're a community dedicated to honest product development, longevity, and tools that do what you need and none of what you don't. Those ideologies used to define our world, but it's only in the computer era that they've been openly challenged.

So, I started a GNU/Linux tech support and system builder company that focuses on enabling the elderly and promoting open source adoption. We're sharing our teaching methods and techniques to help others create a more connected society so everyone can take full advantage of our wonderfully connected world.

### 4 tips for getting your family online with GNU/Linux

Whether you're trying to help your mom, dad, grandma, grandpa, or older neighbor or friend, the following tips will help you get them comfortable working with GNU/Linux.

#### 1\. Choose a Linux distro

One of the first and biggest questions you'll face is helping your family member decide which Linux distribution to use. Distributions vary wildly in their user-friendliness, ease of use, stability, customization, extensibility, and so on. You may have an idea of what to use, but here are things to consider before you choose:

  * Do I know how to fix it if it breaks?
  * How hard is it to break without root privileges?
  * Is it going to fit their needs?
  * Does it receive regular security updates?



I would shy away from a rolling-release distribution such as Arch, openSUSE Tumbleweed, or Gentoo, which can change and break without warning if you aren't careful. You'll probably have fewer headaches selecting a distribution such as Debian Stable, Fedora Workstation, or openSUSE Leap. In our business, we use [Ubuntu LTS][2]. Ultimately the decision is up to you. You know your skills and toolbelt better than anyone else, and it's you who will be keeping it up to date and secure.

#### 2\. Keep their hands on the controls

Learning how to use a computer is exactly like learning a language. It's a strange, inhuman form of interaction we usually learn while we're young and growing up. But there must be a lot of repetition to form the right habits and understanding. The easiest way to form those habits is with guided usage with the learner's hands on the controls the whole time. Older learners need to recognize it's not a jet plane or a tank, where pressing the wrong button is deadly. It's just a computer.

In our company, we want our customers to be completely self-sufficient. We want them to know how to stay safe online and really use their computer to its full extent. As a result, our teaching style looks a little different from what you'd see in a regular, large corporation's customer care or tech support department.

We can sum up our teaching policy in this short Python script:
```
def support(onsite, broken):

if broken==False:

    print("Never take away the mouse or keyboard.")

 elif broken==True:

    print("Fix it in the command line quickly.")

else:

    print("You shouldn’t end up here, but it's correct syntax.")

```

#### 3\. Take notes

Have your learner take notes while you're teaching them about the computer. Taking notes has been proven to be one of the most effective memory-retention tricks for gaining new skills. It also serves another purpose: It gives the learner a resource to turn to when you aren't there and allows them to take a break from listening and focus on truly understanding.

#### 4\. Have patience

I think a lack of patience is the second-biggest factor (right behind demographics) that has prevented older people from learning to use a computer. The next time your loved one asks for help with her computer, ask yourself: "Do I not want to help because they can't learn? Or because I don't have the time to help them?" The second excuse seems to be the one I hear the most. Make sure you plan enough time to be patient with them. There's nothing more permanent than a temporary solution (such as doing everything for them).

### Wrapping up

If you combine these techniques to form habits, leave them with self-created teaching resources, and add a healthy portion of patience, you'll get your family members up and running with Linux in no time. The wonders of being online and knowing how to use a computer shouldn't be restricted to those lucky enough to grow up at a time where the computer is second nature. That's not to say it won't be difficult at times, but it's absolutely worth it.

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/6/tips-family-online-Linux

作者：[About The Author;Brian Whetten;Founder Of The Riesling Computer Company;A Long-Time Blender;Linux;Open-Source Fan;User. I Work To Help Make Sure Our Elderly Members Of Society Are Welcomed With Open Arms To The Wonderful New Technologies Constantly Being Created.][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/classywhetten
[1]:http://www.pewinternet.org/2014/04/03/older-adults-and-technology-use/
[2]:https://www.ubuntu.com/download/desktop
