尝试，学习，修改：新 IT 领导者的代码
=====

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/ship_wheel_gear_devops_kubernetes.png?itok=xm4a74Kv)

几乎每一天，新的技术发展都在威胁破坏，甚至是那些最复杂，最完善的商业计划。组织经常发现自己正在努力适应新的环境，这导致了他们对未来规划的转变。

根据 CompTIA 2017 年的[研究][1]，目前只有 34% 的公司正在制定超过 12 个月的 IT 架构计划。从长期计划转变的一个原因是：商业环境变化如此之快，以至于几乎不可能进一步规划未来。[CIO.com 说道][1]“如果你的公司正视图制定一项将持续五到十年的计划，那就忘了它。”

我听过来自世界各地无数客户和合作伙伴的类似声明：技术创新正以一种前所未有的速度发生着。

其结果是长期规划已不复存在。如果我们要在这个新世界取得成功，我们需要以不同的方式思考我们运营组织的方式。

### 计划是怎么死的

正如我在 Open Organization（开源组织）中写的那样，传统经营组织针对工业经济进行了优化。他们采用等级结构和严格规定的流程，以实现地位竞争优势。要取得成功，他们必须确定他们想要实现的战略地位。然后，他们必须制定并规划实现目标的计划，并以最有效的方式执行这些计划，通过协调活动和推动合规性。

管理层的职责是优化这一过程：计划，规定，执行。包括：让我们想象一个有竞争力的优势地位；让我们来配置组织以最终到达那里；然后让我们通过确保组织的所有方面都遵守规定来推动执行。这就是我所说的“机械管理”，对于不同时期来说它都是一个出色的解决方案。

在当今动荡不定的世界中，我们预测和定义战略位置的能力正在下降，因为变化的速度，新变量的引入速度正在加速。传统的，长期的，战略性规划和执行不像以前那么有效。

如果长期规划变得如此困难，那么规定必要的行为就更具有挑战性。并且衡量对计划的合规性几乎是不可能的。

这一切都极大地影响了人们的工作方式。与过去传统经营组织中的工人不同，他们为自己能够重复行动而感到自豪，几乎没有变化和舒适的确定性 -- 今天的工人在充满模糊性的环境中运作。他们的工作需要更大的创造力，直觉和批判性判断 -- 有更大的要求是背离过去的“正常”，适应当今的新情况。

以这种新方式工作对于价值创造变得更加重要。我们的管理系统必须专注于构建结构，系统和流程，以帮助创建积极主动的工人，他们能够以快速和敏捷的方式进行创新和行动。

我们需要提出一个不同的解决方案来优化组织，以适应不同的经济时代，从自下而上而不是自上而下开始。我们需要替换过去的三步骤 -- 计划，规定，执行，以一种更适应当今动荡天气的方法来取得成功 -- 尝试，学习，修改。

### 尝试，学习，修改

因为环境变化如此之快，而且几乎没有任何预警，并且因为我们需要采取的步骤不再提前计划，我们需要培养鼓励创造性尝试和错误的环境，而不是坚持对五年计划的忠诚。以下是以这种方式开始工作的一些暗示：

  * **更短的计划周期（尝试）。** 管理者需要考虑的是他们可以快速尝试的短期实验，而不是在长期战略方向上苦恼。他们应该寻求方法来帮助他们的团队承担计算风险，并利用他们掌握的数据来对最有利的路径做出最好的猜测。他们可以通过降低开销和让团队自由快速尝试新方法来做到这一点。
  * **更高的失败容忍度（学习）。** 更多的实验频率意味着更大的失败机会。与传统组织相比，富有创造力和有弹性的组织[对失败的容忍度要高得多][2]。管理者应将失败视为学习的机会，在他们的团队正在运行的测试中收集反馈的时刻。
  * **更具适应性的结构（修改）。** 能够轻松修改组织结构和战略方向，以及在条件需要时愿意这样做，是确保组织能够根据快速变化的环境条件发展的关键。管理者不能再拘泥于任何想法，因为这个想法证明自己对实现短期目标很有用。

如果长期计划已经消亡，那么就可以进行长期的短期实验。尝试，学习和修改，这是在不确定时期前进的最佳途径。

[订阅我们的每周实事通讯][3]以了解有关开源组织的更多信息。


--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/18/3/try-learn-modify

作者：[Jim Whitehurst][a]
译者：[MjSeven](https://github.com/MjSeven)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/remyd
[1]:https://www.cio.com/article/3246027/enterprise-architecture/the-death-of-long-term-it-planning.html?upd=1515780110970
[2]:https://opensource.com/open-organization/16/12/building-culture-innovation-your-organization
[3]:https://opensource.com/open-organization/resources/newsletter
