在市场工作时如何建立一个职业网络
======

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/connection_people_team_collaboration.png?itok=0_vQT8xV)

职业社交网络——在同事或专业人员之间建立人际联系——可以采用多种形式、在产业内跨组织进行。建立职业网络需要花费时间和精力，并且当某位成员加入或离开一个组织时，此人的网络通常需要被在一个新的工作环境中重建。

职业社交网络在不同组织中起相似作用——信息共享，导师制，机会，工作利益和其他作用——然而传统组织与开放组织在组织内构建特定联系的方法和原因可能不尽相同。这些差异有其影响：同事联系方式、如何建立信任、组织内多元化的程度和种类以及建立合作的能力，所有这些因素都是相互关联的，而且他们参与并塑造了人们所建立的社交网络。

一个开放的组织对包容性的强调可以使社交网络在解决商业问题上比传统等级制组织更加高效。这种观念在开源的思考中有很久的历史。例如，在<ruby>[《教堂与市场》][1]<rt>The Cathedral and the Bazaar</rt></ruby>中，埃里克·雷蒙德写道：“许多年前社会学家发现, 相比一个随机选择的观察者的观点，许多同等专业的（或是同等无知的）观察家的普遍观点是可靠得多的预言。”所以让我们了解社交网络的结构和目的如何影响各类组织的价值观。

### 传统组织中的社交网络

当我在传统组织工作并要描述我为工作做了什么时，人们问我的第一件事就是我与其他人如何关联，通常是主任级的领导。“你在希拉手下吗？”他们会这么问。“你为马尔科姆工作吗？”这意味着以一种上下级的视角看待传统组织的作用；当试图安排工作或雇员时，人们想要从上下级的角度理解网络结构。

换言之，在传统组织中社交网络依赖于等级制结构，因此他们彼此追寻。事实上，甚至弄清一个雇员在关系网中处于怎样的位置也算得上是一种“上下级组织”式的担忧。

然而并非所有潜在等级制都是如此。它还视相关人员而定。对于上下级网络的关注会决定雇员在网络中的“价值”，因为网络本身是一个持续的权力关系的系统，它会根据人不同水平的价值给予他们不同的定位。它淡化了个人的能力和技能的重要性。因此，一个人在传统组织的联系促使其能力具有前瞻性，为人所知，有影响力并在其事业中起到支持作用。

相比传统等级制组织，一个开放的组织对包容性的强调能使网络解决商业问题更加高效。

传统组织的正式结构以特定方式决定着雇员的社交网络——有些可能是优点，有些可能是缺点，这取决于具体环境——例如：

  * 要更快速地了解“谁是谁”并看到人们如何关联是较为便捷的（通常这在特定层级内建立信任网络）。
  * 通常，这种对关系的进一步的理解意味着会有更少的过剩工作（在一个特定网络中项目有清晰的相应的归属者）和过多交流（人们知道谁对交流什么负责）。
  * 相关人员会感到在一个权力结构中感到束手无策，或好像他们不能“闯入”权力结构中，这些结构有时（或更多时候）因为裁员并不起作用。
  * 完成大量的工作和努力是困难的，并且合作会很艰难。
  * 权力转让缓慢；一个人的参与能力更多地决定于等级结构所创造的网络的结盟而非其他因素（比如个人能力），减少了被看做社区和成员利益的东西。
  * 竞争似乎更加清晰；理解“谁在竞争什么”通常发生在一个公认的、被限定了的等级结构中（权力网络中职位的缺乏增进了竞争因此竞争会更激烈）。
  * 当更严格的网络决定了灵活性的限度时，适应能力会受损。网络的“夙愿”和合作的限度也会以同样的方式受影响。
  * 在严格的网络中，方向明确，并且领导人通常靠过度指导经营，在这里，破坏更容易发生。
  * 当社交网络不那么灵活时，风险下降；人们知道什么需要发生，怎样发生，何时发生（但是考虑到在一个组织中工作的广度，这不见得总是“坏事”；一些工作的职能需要较小的风险，例如：<ruby>人力资源管理<rt>H R</rt></ruby>）,企业并购和法律工作等。
  * 在网络中的信任是更大的，尤其当受雇者是正式网络的一部分的时候（当某人不是网络的一份子时，被排斥的人可能特别难管理或改正）。



### 开放组织中的社交网络

尽管开放组织必定会有等级结构，但他们并不根据那个网络运作。他们的职业网络结构更加灵活（或者说是“随时随地”）。

在一个开放的组织中，当我描述我做了什么工作时，几乎没人问我“我为谁而干？”一个开放的组织更多的以伙伴为中心，而不是以领导为中心。开放的价值观比如包容和特定的治理系统比如强人治理有助于此；那并不是你了解谁而是你了解什么，你怎样使用（比如：“自底而上的设计”）。在一个开放的组织当中，我并不感觉我在为展示自己的价值而奋斗；我的想法有内在的价值。有时我必须示范说明为何使用我的观点比使用别人的更加有用——但是那意味着我正在同事的社区里面诊疗我自己（包括领导层），而不是单独被自上而下的领导层诊疗。

如此说来，开放的组织并不基于网络评估员工，而是基于他们对作为个人的同事的了解。这个人有想法吗？她会努力通过利用开放组织的价值实现那些想法吗（领导它们）(也就是说，在开放组织中分享那些观点并且实践以将他人囊括并透明公开的工作等等)？

开放组织也会以特定的方式构造社交网络（这种方式同样可能会视个人的目的性和渴望程度而很有益或很有害），这包括：

  * 人们会对他们的网络、声望、技能和事业更加负责。
  * 竞争(为了资源、权力、晋升等)会因这些组织天性更具合作性而变得更少。最好的结果是协商，而不是单赢，并且竞争会磨练创意，而不会在人与人之间筑篱设笆。
  * 权力是更加流动和有活力的，在人与人之间流动（但这同时也意味着可能有对可说明性或者责任的误解，而且活动可能会因为没有明晰的[主人翁意识][2]而不被完成）。
  * 信任是“一次一同事”地被建立起来的而不会借助社交网络，在网络中，人是被定位着的。
  * 网络在多样的运转和事件中会自配置，一有机会便会反应性地自启（这帮助了更新但却会造成混乱，因为谁在决策、谁在“受控”是不那么明确的）。
  * 执行速度在混乱的环境中会下降，因为所做之事、做事方式和处事时间需要在制定目标和涵养好整以暇的员工方面上的领导力。
  * 灵活的社交网络同样会增加变革和风险；创意会流通得更快而且更神奇，并且执行会更加自信。
  * 信任建立在同事合作之上（它本该如此！），而不是在对架构的尊重之上。



### 让它有效

如果你正在考虑从一种组织架构转变为另一种，当你在构建并维持你的职业社交网络时思考一下如下所述内容。

#### 来自传统组织的小建议

  * 对决策的架构和管控不是坏事； 运作中的框架需要明晰透明，而且决策者需要考虑他们的决定。
  * 在执行上突出需要经理提供关注，还需要有在滤出任何让人分心或混乱的事务的同时仍能提供足够的来龙去脉的能力。
  * 已经确立的网络帮助了一大批人同步工作并且能管控风险。

#### 来自开放组织的小建议
  * 能力强的领导人是那些可以根据多样的风格和对同事、团队的不同偏好提供不同层次的透明度和指导，同时又不会构建出不灵活的网络的人。。
  * 伟大的想法比已建立的组织会赢得更多。
  * 人们对他们得名声会更加负责任。
  * 创意和信息的流转是变革的关键。松散组织中的关系网络可以使这两种元素生发的频度更高、幅度更广。


--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/18/6/building-professional-social-networks-openly

作者：[Heidi Hess;von Ludewig][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[ZenMoore](https://github.com/ZenMoore)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/heidi-hess-von-ludewig
[1]:http://www.catb.org/~esr/writings/cathedral-bazaar/cathedral-bazaar/ar01s04.html
[2]:https://opensource.com/open-organization/18/4/rethinking-ownership-across-organization
