怎样实现由专有环境向开源环境的职业转变
======

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/open%20source_collaboration_0.png?itok=YEl_GXbv)

作为一名软件工程师，我的职业生涯是从 Northern Telecom 开始的，在这里我开发出了电信级的通讯转换设备可以使用的专有软件等。 即使我已经在大学中学习了  Pascal 语言，公司还是给我进行了以 C 语言为基础是专有编程语言培养。在公司中我使用的也是专有操作系统和专有版本控制软件。

我很享受专有环境下的工作，并有幸接触了很多有趣的项目，这样过了很多年，直到一场招聘会，我遇到了事业转折点。那时我受邀在当地一所中学的 STEM 行业座谈会进行演讲，给学生们讲述了作为一名软件工程师的主要工作内容和责任，一名学生问我：“这些事是你一直梦想要做的吗？你热爱你现在的工作吗？”

每次领导问我这个问题时，保险起见，我都会回答他，“我当然热爱工作了！”但从来没有一名还在读六年级的单纯的 STEM 小爱好者问过我这个问题。我的回答还是一样，“我当然喜欢！”

我确实很热爱我当时的事业，但那名学生的话让我忍不住思考，我开始重新审视我的事业，重新审视专有环境。在我的领域里我如鱼得水，但这也有局限性：我只能用代码来定义我的领域。我忍不住反思，这些年我有没有试着去学一些其他可应用于专有环境的技术？在同行中我的技能组还算得上先进吗？我有没有混日子？我真的想继续为这项事业奋斗吗？

我想了很多，忍不住问自己：当年的激情和创意还在吗？

时间不会停止，但我的生活发生了改变。我离开了 Nortel Networks ，打算休息一段时间来陪陪我的家人。

在我准备返回工作岗位时，那个小朋友的话又在我的脑海中响起，这真的是我想要的工作吗？我投了很多份简历，有一个岗位是我最中意的，但那家公司的回复是，他们想要的是拥有五年及以上 Java and Python 工作经验的人。在过去十五年里我以之为生的知识和技术看起来已经过时了。

### 机遇与挑战

我的第一项挑战是学会在新的环境下应用我先前在封闭环境学到的技能。IT 行业由专有环境转向开源后发生了天翻地覆的变化。我打算先自学眼下最需要的 Python 。接触 Python 后我意识到，我需要一个项目来证明自己的能力，让自己更具有竞争力。

我的第二个挑战是怎么获得 Python 相关的项目经验。我丈夫和之前的同事都向我推荐了开源软件，通过谷歌搜索我发现网上有许许多多的开源项目，它们分别来源于一个人的小团队，50 人左右的团队，还有跨国的百人大团队。

 在 Github 上我用相关专业术语搜索出了许多适合我的项目。综合我的兴趣和网络相关的工作经验，我打算把第一个项目贡献给 OpenStack 。 我还注意到了 [Outreachy][1] 项目，它为不具备相关技术基础的人员提供三个月的实习期。
 
### 经验与教训

我学到的第一件事是我发现可以通过许多方式进行贡献。不论是文件编制、用户设计，还是测试用例，都是贡献的形式。我在探索中丰富了我的技能组，根本用不着5年的时间，只需要在开源平台上接受委托，之后做出成果。

在我为 OpenStack 做出的第一个贡献被合并、发表后，我正式成为了 Outreachy 项目的一员。 Outreachy 项目最好的一点是，项目分配给我的导师能够引领我在开源世界中找到方向。

下面还有三个宝贵的提示：

**持之以恒** 你需要找到最适合你核心技能组的项目，当然，最好有行为准则和新人入门指南，这样的项目比较适合初学者加入。找到了合适的项目你可以持之以恒地在社区中进行贡献。

**不厌其烦** 适应开源环境需要一段时间。融入开源社区需要时间。进行深思熟虑的反馈需要时间。阅读反馈并经行改进也需要时间。在这其中你需要耐心等待。
 
**参与其中** 在开源社区，从事什么领域或技术的工作不需要特殊批准，你可以自己选择工作的领域，并深入其中。

7 月 16-19 日，俄勒冈州波特兰，第 20 届 [开源大会][3] 上，Petra Sargent 将为您展示：[老狗也能学会新把戏——封闭环境工作者如何适应开源环境][2]。
 
--------------------------------------------------------------------------------

via: https://opensource.com/article/18/7/career-move

作者：[Petra Sargent][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[Valoniakim](https://github.com/Valoniakim)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/psargent
[1]:https://www.outreachy.org/
[2]:https://conferences.oreilly.com/oscon/oscon-or/public/schedule/speaker/307631
[3]:https://conferences.oreilly.com/oscon/oscon-or
